commit e7a99b267f68cfd71395959da6bf596992714be2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 17 09:14:19 2025 +0200

    Release 1.17.14

commit 8d52795e0bb8763bd63b306fd4e04253b800a9c8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 17 10:01:14 2025 +0200

    Update ibus-table.pot (Only line number changes

commit 18cd78dc5e859f6c6c4dfc0edf617789b28b960c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 17 09:56:09 2025 +0200

    Migrate test_0_gtk.py from Gtk.main() to GLib.MainLoop()

commit 71b25961edca78c9aba1b672ea2031931c6e4034
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 17 09:03:24 2025 +0200

    Add "PRAGMA busy_timeout = 5000;"
    
    That seemed to be helpful to prevent database errors on FreeBSD for Typing Booster,
    it is probably a good idea to do this for ibus-table as well.

commit 4f4bec9d037d41920c3e1b82f38d34c8d75617af
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 21:17:55 2025 +0200

    Fix pylint warnings

commit 77cdd5a1acbcb45a836be023cf7f18b4bc7d8586
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 21:00:30 2025 +0200

    Fix pylint `consider-using-f-string` warnings

commit 45bf3f75c24d35fc939f342857ae159a7a16aaa5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 20:34:07 2025 +0200

    Fix pylint warning: table.py:2774:4: W0102: Dangerous default value [] as argument (dangerous-default-value
    
    Avoid the "mutable default argument pitfall" where default arguments
    that are mutable (like list, dict, or set) can retain changes between
    function calls, leading to unexpected behaviour.
    
    In Python, default arguments are evaluated only once—when the function
    is defined, not each time it's called.  If you modify a mutable
    default argument (e.g., append to a list), the changes persist across
    future calls.

commit 515f2b7b35a37648dfc1f5d9c9c9ab473d65d885
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 20:22:15 2025 +0200

    Fix one pylint warning

commit fe739d40013fa13c979293d9f68ba1511bf35fa0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 20:09:46 2025 +0200

    Use ast.literal_eval() instead of just eval()

commit 8c5a236c030862b0bc627c08977912bd58bbd734
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 19:47:30 2025 +0200

    Do not use “global DEBUG_LEVEL” in “class TabEngine()”
    
    Because ibus-table offers multiple engines these may overwrite each
    others debug level settings if DEBUG_LEVEL is a global variable.

commit 0af84e029494984e66a6bee86630104d941fd5ec
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 3 16:35:50 2025 +0200

    A single % is enough for a LIKE in sqlite3 to match any number of characters
    
    The %% pattern would actually behave identically to a single % in terms of matching, but it's unnecessary.

commit a645a061e96d5aa8732c94e0ccb53d85cef26d48
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 27 23:15:57 2025 +0200

    Fix quoting for sqlite3
    
    This accidentally worked on Fedora for years, although it was wrong.
    I found this because it failed on FreeBSD.

commit aea38e3f5d89d13a2a88214d24bc1f8aa4e595d3
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Jun 17 06:34:44 2025 +0000

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (153 of 153 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit 38a76e924d495856c9c71f76a218364425fcf908
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Mon Jun 16 17:05:03 2025 +0000

    Translated using Weblate (Romanian)
    
    Currently translated at 13.7% (21 of 153 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ro/
    Translation: ibus-table/app

commit e6ad0b4a0a7f286521c8280310c4c897def715e1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 17:05:03 2025 +0000

    Translated using Weblate (Russian)
    
    Currently translated at 98.6% (151 of 153 strings)
    
    Translated using Weblate (Georgian)
    
    Currently translated at 60.7% (93 of 153 strings)
    
    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 74.5% (114 of 153 strings)
    
    Translated using Weblate (Turkish)
    
    Currently translated at 99.3% (152 of 153 strings)
    
    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 99.3% (152 of 153 strings)
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 90.1% (138 of 153 strings)
    
    Translated using Weblate (Ukrainian)
    
    Currently translated at 99.3% (152 of 153 strings)
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 99.3% (152 of 153 strings)
    
    Translated using Weblate (French)
    
    Currently translated at 100.0% (153 of 153 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 99.3% (152 of 153 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (153 of 153 strings)
    
    Translated using Weblate (Catalan)
    
    Currently translated at 99.3% (152 of 153 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit 58c9cbe2b10c6f55d158797a8d445834336b8556
Author: Weblate <noreply@weblate.org>
Date:   Mon Jun 16 16:53:03 2025 +0000

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 312bddb5bdaaa7cf465f4216f270383fb9913812
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 18:49:49 2025 +0200

    Update ibus-table.pot (2 new messages)

commit b1e03cdad159c07d04680cc6b1e5d6e65d76d78a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 18:43:14 2025 +0200

    Fix type hints, mypy and pylint-3 warnings

commit cc983debccaa2384d42113afb6930b46ee793e5d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 16:43:57 2025 +0200

    Change "Auto commit mode" to "Autocommit mode" in two message ids for consistency

commit d7a27d7d46b6e928a8de59477cd68bbcdaa67059
Author: Peng Wu <pwu@redhat.com>
Date:   Mon Jun 16 14:07:42 2025 +0800

    Support the input method menu option in the table engine
    
    Resolves: https://github.com/mike-fabian/ibus-table/pull/189

commit b475dba4d82d0318ae6d4304a8d40ee0e56758ee
Author: Peng Wu <pwu@redhat.com>
Date:   Mon Jun 16 14:04:11 2025 +0800

    Support the input method menu option in the setup dialog
    
    Related: https://github.com/mike-fabian/ibus-table/pull/189

commit bbac7f46eaf00a0246914d8707bddca59f3a0fb3
Author: Peng Wu <pwu@redhat.com>
Date:   Mon Jun 16 13:57:35 2025 +0800

    Add the input method menu option to gsettings
    
    Related: https://github.com/mike-fabian/ibus-table/pull/189

commit c24a53d14901792579a871bb4617a3bed3e4d0ca
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 16 16:52:14 2025 +0200

    Fix mypy warnings

commit 59eb2804a5efb1fcfbd301601f60a961524ba720
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Tue Jun 3 12:32:23 2025 +0000

    Translated using Weblate (Georgian)
    
    Currently translated at 60.5% (92 of 152 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translation: ibus-table/app

commit 804288fcb7acffa285bd407501ae7d774aad13ff
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Tue Jun 3 12:32:23 2025 +0000

    Translated using Weblate (Georgian)
    
    Currently translated at 60.5% (92 of 152 strings)
    
    Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translation: ibus-table/app

commit 3ec018c9c2dc9b5705fe53b25e171112092f11c4
Author: ButterflyOfFire <butterflyoffire@users.noreply.translate.fedoraproject.org>
Date:   Sun May 25 20:05:02 2025 +0000

    Translated using Weblate (Kabyle)
    
    Currently translated at 35.5% (54 of 152 strings)
    
    Co-authored-by: ButterflyOfFire <butterflyoffire@users.noreply.translate.fedoraproject.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/kab/
    Translation: ibus-table/app

commit 498a9cbb7c346f157f10698558ff40df7c29253c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri May 23 11:08:28 2025 +0200

    Release 1.17.13

commit 86780d0478369da8e883cf2c13c40235839ef644
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri May 23 11:24:33 2025 +0200

    Fix mypy warning

commit b4c87561373305ad61683f35e736e2838392ea5d
Author: Alba Mendez <me@alba.sh>
Date:   Thu May 22 20:19:01 2025 +0200

    allow = character in attribute values

commit e4ead41ab5dba43d76898e376e8b6b66fb2bba4a
Author: naly zzwd <xeanhort007@gmail.com>
Date:   Sun May 18 12:08:24 2025 +0000

    Translated using Weblate (Catalan)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: naly zzwd <xeanhort007@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translation: ibus-table/app

commit 7221f821adcd6cb270f9b3934d343c075a36b5c3
Author: Sergey A <Ser82-png@yandex.ru>
Date:   Thu May 8 14:22:55 2025 +0000

    Translated using Weblate (Russian)
    
    Currently translated at 99.3% (151 of 152 strings)
    
    Co-authored-by: Sergey A <Ser82-png@yandex.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 8626c64accb07a376261e90ee705fc9ede5a0dce
Author: Weblate <noreply@weblate.org>
Date:   Fri May 2 21:44:34 2025 +0000

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 35d18a05c0692dacbeae419a7af44f6be5b28d70
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri May 2 22:43:27 2025 +0200

    Release 1.17.12

commit 1ea254e20502b6f26a46eea9e25c3d04d1081c3b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri May 2 22:44:55 2025 +0200

    Update ibus-table.pot (Only line number changes)

commit 362dcc716ef864aebb131061f484f1c73432934f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 28 20:09:42 2025 +0200

    Fix some pylint warnings

commit d7067c52228b32a0d3841b9f62fe470d61e349f6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 28 16:11:40 2025 +0200

    Improve starting of the setup tool, make it work correctly when starting from a git clone
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/179
    See also: https://github.com/mike-fabian/ibus-typing-booster/issues/692

commit f94a990b2e572bcfc06acad2c3729ec60dfc6a49
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 28 19:31:31 2025 +0200

    Migrate from Gtk.main() to GLib.MainLoop()
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/180
    
    GTK4 removes Gtk.main() entirely, so GLib.MainLoop() is the future-proof choice.
    
    Also, GLib.MainLoop() respects Python’s signal handlers, while Gtk.main() does not.
    
    This fixes the problem that ibus-table’s setup tool could not be stopped by
    typing Control+C and not by `kill <pid>`. ibus-typing-booster’s setup tool
    did not have this problem, it reacted just fine to Control+C and `kill <pid>`.
    I don’t understand why the relevant code looked identical to me.
    
    But as using GLib.MainLoop() is the future-proof choice anyway and works
    fine for both ibus-table’s and ibus-typing-booster’s setup tool, I don’t need
    to investigate why it didn’t work with Gtk.main() for ibus-table’s setup tool.

commit d5c3d3ce0f069cc21c4128ec48091db8ac80302b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 28 16:42:08 2025 +0200

    Stop using deprecated keyword arguments “flags” and “message_format” when creating Gtk.MessageDialog()
    
    Use modal=True and text='...' instead.
    
    See also: https://github.com/mike-fabian/ibus-typing-booster/issues/377

commit 5c7cf84c2f4e8926481d8abf40a6f509a87e2b44
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Thu May 1 22:10:09 2025 +0000

    Translated using Weblate (Romanian)
    
    Currently translated at 12.5% (19 of 152 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ro/
    Translation: ibus-table/app

commit e88676c37457160c4aebac362801ed2e1da3be8a
Author: Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Date:   Thu May 1 12:51:20 2025 +0000

    Added translation using Weblate (Romanian)
    
    Co-authored-by: Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

commit 2605c7aa81dd570197ad6658e7ac8fdca6a1ba79
Author: hsu zangmen <chzang55@gmail.com>
Date:   Tue Apr 29 07:44:11 2025 +0000

    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: hsu zangmen <chzang55@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit 3d8e90e36824b0f92eda09ef7d16b9edbc708a19
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Tue Apr 29 07:44:11 2025 +0000

    Translated using Weblate (Persian)
    
    Currently translated at 11.8% (18 of 152 strings)
    
    Translated using Weblate (Chinese (Hong Kong) (zh_HK))
    
    Currently translated at 14.4% (22 of 152 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fa/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_HK/
    Translation: ibus-table/app

commit 7e9c2822f1662275782b3acebadeefa553862fb9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 28 15:53:28 2025 +0200

    Fixes and improvements for bug report template

commit d486ccfedf2707ad1650729c4f557e826d98fa95
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 28 15:40:01 2025 +0200

    Use nicer YAML bug report templates instead of the old markdown bug report templates

commit 25d750b17d08884234955d596a463a9e5dbb3141
Author: hsu zangmen <chzang55@gmail.com>
Date:   Mon Apr 28 08:56:38 2025 +0000

    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 82.2% (125 of 152 strings)
    
    Co-authored-by: hsu zangmen <chzang55@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit b7737f41c07c7eeea8b715cd955428d6e248da04
Author: David Mandelberg <david@mandelberg.org>
Date:   Sun Apr 20 17:24:37 2025 -0400

    Increase pygame.mixer's buffer size
    
    I wasn't able to reproduce the audible popping sounds from #681 for some
    reason. Maybe I had different apps running that interacted with pipewire
    different? However, if I ran this to load the CPU:
    
    ```
    for i in {1..12}; do cat < /dev/urandom > /dev/null & done
    ```
    
    I was able to reproduce these wireplumber log lines with the default
    `pygame.mixer.init()` but not with `pygame.mixer.init(buffer=4096)`:
    
    ```
    spa.audioconvert: 0x55e3890b13b0: (0 suppressed) out of buffers on port 0 2
    ```
    
    Before, the node.latency in pipewire was 128/44100, or 3ms. With this
    change, it's 1166/44100 or 26ms. I doubt 26ms will be noticible to
    users?
    
    Resolves: https://github.com/mike-fabian/ibus-typing-booster/issues/681

commit ad05d4deff289a509a77c23aa3559a3c186e57b2
Author: naly zzwd <xeanhort007@gmail.com>
Date:   Mon Apr 7 07:40:10 2025 +0000

    Translated using Weblate (Catalan)
    
    Currently translated at 85.5% (130 of 152 strings)
    
    Co-authored-by: naly zzwd <xeanhort007@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translation: ibus-table/app

commit c099b6a8e335433cc7fc1167080a302c641c5e07
Author: Javier Francisco <fserrador@gmail.com>
Date:   Sun Mar 30 18:53:34 2025 +0000

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: Javier Francisco <fserrador@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translation: ibus-table/app

commit cdb915c42443b98db0c2ff39afde60220c6a8523
Author: hsu zangmen <chzang55@gmail.com>
Date:   Sun Mar 30 18:53:34 2025 +0000

    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 62.5% (95 of 152 strings)
    
    Co-authored-by: hsu zangmen <chzang55@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit 38b7528981f53a886f7cb8e78eff02fa52449b5e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Sun Mar 30 18:53:34 2025 +0000

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: Rafael Fontenelle <rafaelff@gnome.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translation: ibus-table/app

commit 7c11a0ecbc99f57ba883d415eae9ed19c725d672
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 17:35:29 2025 +0100

    Release 1.17.11

commit 7b336c5a9d8a77f13ada1e53a6698358bae15486
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 17:26:20 2025 +0100

    Calling static methods as `self._my_method()` works, but is not recommended, use `self.__class__._my_method()`

commit 9e35493874cf1e6cb651f419928df2c09fe1e3e5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 16:19:27 2025 +0100

    Fix to load EN compose file
    
    Now EN compose file is loaded in the class init of IBus.EngineSimple
    and IBus.init() needs to be called before the init.
    
    This fix is needed for ibus >= 1.5.32~beta2.
    
    See also: https://github.com/ibus/ibus-anthy/commit/14b2759772fb1adc67453108e958bf0bf181ce1d

commit 40764b0a634375f53bd637ff22066d0354770226
Author: Sergey A <Ser82-png@yandex.ru>
Date:   Sat Feb 15 16:51:20 2025 +0100

    Translated using Weblate (Russian)
    
    Currently translated at 98.6% (150 of 152 strings)
    
    Co-authored-by: Sergey A <Ser82-png@yandex.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 878f802810b9689318d988810ac754e817833a23
Author: N M <nm@users.noreply.translate.fedoraproject.org>
Date:   Tue Feb 4 18:38:36 2025 +0100

    Translated using Weblate (Spanish)
    
    Currently translated at 96.7% (147 of 152 strings)
    
    Co-authored-by: N M <nm@users.noreply.translate.fedoraproject.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translation: ibus-table/app

commit 3a16e44367d39279e6fb98d7c31c5bc43567f9c7
Author: Weblate <noreply@weblate.org>
Date:   Tue Jan 21 10:15:42 2025 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 8b0f3567dae83e2e876a6dc0ffbfa5f1faa10fdf
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 21 10:15:42 2025 +0100

    Translated using Weblate (French)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translation: ibus-table/app

commit 287dd34734018daa89de456d25d62d6b59a9e12c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 21 01:18:54 2025 +0100

    Release 1.17.10

commit 61ffe389fb396d98540a3f15f1b4500db3d4fed1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 21 01:39:32 2025 +0100

    Update ibus-table.pot (Only line number changes)

commit 1ad83aea17469cea8042fb0913fcdb7986b27c11
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 21 01:59:02 2025 +0100

    Add the generated .desktop files to the tarball (Avoids gettext dependency when building from the tarball)

commit a3265a7bfe64839ae223f18fe2493ffa46bbf918
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 21 00:47:38 2025 +0100

    Generate translations into metainfo.xml files with autotools
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/171

commit 42bd3b4770d5fd38bf69b12635bd598158ff082a
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Jan 21 00:19:30 2025 +0100

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit 0846d2521b69cc164ced0326a7de67f4f1c1f954
Author: Oğuz Ersen <oguz@ersen.moe>
Date:   Sun Jan 19 20:57:51 2025 +0100

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: Oğuz Ersen <oguz@ersen.moe>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit 5448e7047a99fbf89aebf9cd994914bdabcae208
Author: Weblate <noreply@weblate.org>
Date:   Sun Jan 19 02:57:54 2025 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 76b94b085df2a10161c261cf0eee4173fd8845cf
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 19 03:01:35 2025 +0100

    Update ibus-table.pot (Only line number changes)

commit 21781e4589b465f5275b14561a738b75ff208238
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 19 02:59:07 2025 +0100

    Rename ibus-table.appdata.xml, see also: https://github.com/mike-fabian/ibus-typing-booster/issues/598

commit 33cdd35fe1fdb17011a43162621f0dc343e38d36
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 19 02:44:08 2025 +0100

    Translated using Weblate (Japanese)
    
    Currently translated at 48.0% (73 of 152 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (152 of 152 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    Translation: ibus-table/app

commit c80bf4d817a2c9fa081e259a2c16c08a54234fe9
Author: Weblate <noreply@weblate.org>
Date:   Sun Jan 19 02:39:08 2025 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 3de89b2d682be2529de621ff177e028e198c36fd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 19 02:42:11 2025 +0100

    Update ibus-table.pot (2 new messages for translation of “Name” and “Comment” in ibus-setup-table.desktop)

commit c2a0defb843509a6f078b69508169decfb430726
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 19 02:25:02 2025 +0100

    Make desktop file translatable and generate translations into desktop file

commit 841c70b85bb2869403acffbeab1f4e9e6b07bb4a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 19 02:27:53 2025 +0100

    Fix mypy warnings

commit bdda5ca03e20933bf066a4e0256d94f9cfb53fd0
Author: Sergey A <Ser82-png@yandex.ru>
Date:   Tue Jan 7 13:38:47 2025 +0100

    Translated using Weblate (Russian)
    
    Currently translated at 98.6% (148 of 150 strings)
    
    Co-authored-by: Sergey A <Ser82-png@yandex.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit a7c852b22ec7b0c83e94815591e13ec76d69bbb7
Author: Sergey A <Ser82-png@yandex.ru>
Date:   Sat Jan 4 22:20:35 2025 +0100

    Translated using Weblate (Russian)
    
    Currently translated at 98.0% (147 of 150 strings)
    
    Co-authored-by: Sergey A <Ser82-png@yandex.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 65de56eac725ba4aa91147ca2477a119263a72a2
Author: Weblate <noreply@weblate.org>
Date:   Wed Dec 11 15:10:16 2024 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 825ddfba9dad832b18471c7bfb95a7243c6d3f77
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Dec 11 14:30:45 2024 +0100

    Release 1.17.9

commit 0a1e272f577640740b4d1842a2cbc6267cf28cce
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Dec 11 14:32:40 2024 +0100

    Update ibus-table.pot (Only line number changes)

commit b805f48d8563975cb4313c714cb94ce009b23c7e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Dec 11 14:22:02 2024 +0100

    Make the setup tool use the wrapper itb_sound.py instead of using simpleaudio unconditionally
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/162

commit fa864522898b4dc3b3fdcead91175ac05c6cad13
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Dec 11 14:20:51 2024 +0100

    Add more debug output

commit 0b752dfdf49d8cda859a8cdfc82ff7825dce75f6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Dec 11 14:17:40 2024 +0100

    Fix some mypy warnings which appeared after the upgrade to Fedora 41 (python3-mypy-1.13.0-1.fc41.noarch)

commit 01e2632164c98b610bc157faa68f2d761c4e416a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Dec 11 14:14:18 2024 +0100

    Improve it_util.variant_to_value()

commit 8c6896387959f9cd855434d96aef710abcf6915a
Author: ButterflyOfFire <butterflyoffire@users.noreply.translate.fedoraproject.org>
Date:   Thu Nov 21 17:38:41 2024 +0100

    Translated using Weblate (Kabyle)
    
    Currently translated at 29.3% (44 of 150 strings)
    
    Co-authored-by: ButterflyOfFire <butterflyoffire@users.noreply.translate.fedoraproject.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/kab/
    Translation: ibus-table/app

commit 16176b40840ff0a381ed035235581f6a2a19dc40
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Thu Oct 24 11:38:33 2024 +0200

    Translated using Weblate (Kabyle)
    
    Currently translated at 29.3% (44 of 150 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/kab/
    Translation: ibus-table/app

commit 67d1e8e63a7e7b420dafe805522c118404a5ef10
Author: ButterflyOfFire <butterflyoffire@users.noreply.translate.fedoraproject.org>
Date:   Thu Oct 24 11:38:33 2024 +0200

    Translated using Weblate (Kabyle)
    
    Currently translated at 29.3% (44 of 150 strings)
    
    Added translation using Weblate (Kabyle)
    
    Co-authored-by: ButterflyOfFire <butterflyoffire@users.noreply.translate.fedoraproject.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/kab/
    Translation: ibus-table/app

commit 31707f63f73edd08ea0107fb581934207e5aea0c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 11 16:43:28 2024 +0200

    Release 1.17.8

commit 36054877febf633daa90dd0faa22e5cf54b87084
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 11 17:00:22 2024 +0200

    Update Unihan_Variants.txt and regenerate engine/chinese_variants.py for Unicode 16.0.0 release
    
    - Update Unihan_Variants.txt from “2023-07-15 Unicode  15.1.0” to “2024-07-31 Unicode version: 16.0.0”
    - Regenerate engine/chinese_variants.py for Unihan_Variants.txt

commit cd6a4ed0d09f3f3e5d9b291ea5ae9b273a8f98c8
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Sun Sep 8 12:38:29 2024 +0200

    Translated using Weblate (Greek)
    
    Currently translated at 17.3% (26 of 150 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/el/
    Translation: ibus-table/app

commit 36db5ffa3ea2da492e801f0a383116f417f250fb
Author: Giannis Antypas <gianni.antypas@gmail.com>
Date:   Sun Sep 8 12:38:29 2024 +0200

    Translated using Weblate (Greek)
    
    Currently translated at 17.3% (26 of 150 strings)
    
    Added translation using Weblate (Greek)
    
    Co-authored-by: Giannis Antypas <gianni.antypas@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/el/
    Translation: ibus-table/app

commit ddd30b8c6b2485b866a077d1bb1d6ac9ddd08727
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 25 19:52:28 2024 +0200

    Release 1.17.7

commit 19d632adad8326510296e39c776f7074688f1684
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 25 18:48:08 2024 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translation: ibus-table/app

commit c5050577926ca625ecc57441f295f8a47ab851cc
Author: Léane GRASSER <leane.grasser@proton.me>
Date:   Fri Aug 23 15:36:06 2024 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Co-authored-by: Léane GRASSER <leane.grasser@proton.me>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translation: ibus-table/app

commit bcaa9d820fb0be3281063ca181f8c72f47605687
Author: Sergey A <sw@atrus.ru>
Date:   Fri Aug 23 15:36:06 2024 +0200

    Translated using Weblate (Russian)
    
    Currently translated at 93.3% (140 of 150 strings)
    
    Co-authored-by: Sergey A <sw@atrus.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 374b32d49126feaa1b3d5c36d2927f4cab08d5f2
Author: Sergey A <sw@atrus.ru>
Date:   Tue Jul 30 09:02:36 2024 +0200

    Translated using Weblate (Russian)
    
    Currently translated at 92.6% (139 of 150 strings)
    
    Co-authored-by: Sergey A <sw@atrus.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 8386ac2ce1ab543515605d4e7f96b69fc995d589
Author: Sergey A <sw@atrus.ru>
Date:   Sun Jul 28 12:38:40 2024 +0200

    Translated using Weblate (Russian)
    
    Currently translated at 87.3% (131 of 150 strings)
    
    Co-authored-by: Sergey A <sw@atrus.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit f1aaf7998d72d127bd91ebbe1a8d656f8cb36460
Author: Weblate <noreply@weblate.org>
Date:   Thu Jun 27 14:38:22 2024 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit f4a9e2746ba420fc798e2d9258075d8a309964fe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 27 14:40:56 2024 +0200

    Fix typo in comment

commit 46ccd315f4f0cfaa3c6cc675f228c2df247a0a06
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 27 09:47:45 2024 +0200

    Release 1.17.6

commit b2cbc7af2adf8820fac36c7630211cd86ae0a1ab
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 27 09:49:36 2024 +0200

    Update ibus-table.pot (Only line number changes)

commit 72e6d9d64905c58337bd9d60a62f9174e610cfd7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 27 09:41:40 2024 +0200

    Yet another fix to make it possible again to use keys with Unicode keysyms in keybindings and make it work with all known versions of ibus
    
    Resolves: https://github.com/kaio/ibus-table/issues/85
    See also: https://github.com/mike-fabian/ibus-typing-booster/issues/497
    
    This makes the code work both with older ibus (<= 1.5.29) which does
    
    >>> IBus.keyval_name(0x0100263a)
    'U+263A'
    >>>
    
    and newer ibus (>= 1.5.31 or 1.5.30 with some patches) which does:
    
    >>> IBus.keyval_name(0x0100263a)
    '0x100263a'
    >>>
    
    So this should work with all currently known versions of ibus.

commit ebc56a23362f953a21804245a1ea2382341efa8e
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Wed Jun 26 17:36:08 2024 +0200

    Translated using Weblate (Czech)
    
    Currently translated at 40.0% (60 of 150 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    Translation: ibus-table/app

commit 0d64bd3149ae95e673ba1f46774571129c699302
Author: Weblate <noreply@weblate.org>
Date:   Tue Jun 25 17:30:32 2024 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit a18bca96e4f04db6e96a670bc8b021d41c38aeab
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 19 12:03:50 2024 +0200

    Release 1.17.5

commit 3eba07a6622c475f3828af92ebed2b2c4da158c8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 19 10:24:52 2024 +0200

    Update ibus-table.pot (Only line number changes)

commit 14b06afa2b7fbe2af30b1d0b0f426647a3ffd861
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 19 11:53:31 2024 +0200

    Fix for ibus-1.5.30: Make it possible again to use keys with Unicode keysyms in keybindings
    
    See: https://github.com/mike-fabian/ibus-typing-booster/issues/497
    
    Behaviour change between ibus-1.5.29 and 1.5.30.

commit 3dfd67d7275b71a62f44678ab78e32a824235dc2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 19 10:29:41 2024 +0200

    Fix DeprecationWarning
    
    engine/main.py:232: DeprecationWarning: Testing an element's truth value will raise an exception in future versions.  Use specific 'len(elem)' or 'elem is not None' test instead.

commit cc53fde689092d4083dda158c75eb31044c112ce
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 29 17:30:49 2024 +0200

    Remove unused import

commit fa2f0864d94f00fa2684f5edc221f9c9fd47dc30
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 29 16:37:14 2024 +0200

    Drop Python2 support (using pyupgrade --py3-plus *.py)

commit 2e477732c307501fa8f1d1263f69672d9591d99e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 29 16:45:04 2024 +0200

    Consistently use `if a not in b:` instead of `if not a in b:`

commit 2e5a1f46a18a42495683fab1b47a13c8ccd65804
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 29 12:26:58 2024 +0200

    Consistently use `if a not in b:` instead of `if not a in b:`

commit 7433010763e83df4f580e9e4ce828018c10d801b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 15 15:15:04 2024 +0200

    Fix appstreamcli validate warnings
    
    mfabian@fedora:~$ cat /etc/fedora-release
    Fedora release 40 (Forty)
    mfabian@fedora:~$ appstreamcli validate --pedantic --no-net /usr/share/metainfo/ibus-table.appdata.xml
    W: org.freedesktop.ibus.engine.table:33: developer-id-missing
    
    ✘ Validation failed: 警告: 1

commit 7296d33b523a1426c28908bc0b8a049fcbead185
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Feb 14 10:51:36 2024 +0100

    Display key values in hexadecimal when printing debug messages

commit 7cd57e8ce9819ec1f1b47d52ed2f55384bbc1721
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Feb 14 10:25:51 2024 +0100

    Make it possible to use keys with Unicode keysyms in keybindings
    
    See: https://github.com/mike-fabian/ibus-typing-booster/issues/497

commit ad3cd2d8a4845f1ccc2d9591d7903ca6a38a6141
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Dec 14 13:29:13 2023 +0100

    Use `frames_per_buffer=chunk_size` option in `self._paudio.open()`
    
    See: https://bugzilla.redhat.com/show_bug.cgi?id=2238746#c3

commit a9691e8ec5a10e077e73e890aaa7ad23c7ef05b0
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Fri Mar 1 07:36:00 2024 +0100

    Translated using Weblate (Japanese)
    
    Currently translated at 47.3% (71 of 150 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    Translation: ibus-table/app

commit 5fb65b72e2cb48fbda276eb9b6f7d9fde6b770d3
Author: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
Date:   Mon Jan 15 03:37:09 2024 +0100

    Translated using Weblate (Czech)
    
    Currently translated at 36.6% (55 of 150 strings)
    
    Co-authored-by: Weblate Translation Memory <noreply-mt-weblate-translation-memory@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    Translation: ibus-table/app

commit f53190350b35b4fa0157967436aad65aa416bbca
Author: Liu Tao <lyuutau@outlook.com>
Date:   Tue Dec 26 15:36:50 2023 +0100

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 92.0% (138 of 150 strings)
    
    Co-authored-by: Liu Tao <lyuutau@outlook.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translation: ibus-table/app

commit 97f8f76b69aec37c6181b62962e60b9f05ce5425
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 26 15:36:50 2023 +0100

    Translated using Weblate (Japanese)
    
    Currently translated at 45.3% (68 of 150 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    Translation: ibus-table/app

commit 2cebe7236085409b093835dc62ad2459f2266de9
Author: Weblate <noreply@weblate.org>
Date:   Fri Nov 10 17:42:45 2023 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit d016b6fa8e357c7ae531aa99afa25f617f1e0d89
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 9 16:58:10 2023 +0100

    Release 1.17.4

commit 081ee0b91988c4b85d6f5269eab0dfe4ec56e42c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Nov 10 16:04:17 2023 +0100

    Update ibus-table.pot (Only line number changes)

commit 400047662e624c00d2e89ebf30f9f5078f05999e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Nov 10 17:01:56 2023 +0100

    Use “<developer><name>…</name></developer>” in ibus-table.appdata.xml instead of “<developer_name>…</developer_name>”
    
    Because </developer_name> is deprecated and it makes the build fail on Fedora rawhide:
    
        + appstreamcli validate --pedantic --explain --no-net /builddir/build/BUILDROOT/ibus-table-1.17.4-1.fc40.x86_64//usr/share/metainfo/ibus-table.appdata.xml
        W: org.freedesktop.ibus.engine.table:33: developer-name-tag-deprecated
           The toplevel `developer_name` element is deprecated. Please use the `name` element in a
           `developer` block instead.
    
        ✘ Validation failed: warnings: 1

commit ecb280a942298c1a2e4e244f3db740a4cf07805e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 9 15:52:50 2023 +0100

    Fix compose support for ibus >= 1.5.28
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/145
    
    - IBus.init() has been required to load the compose resource
      since 1.5.28 after the EN compose table was moved to GResource.
      Thanks to Takao Fujiwara <takao.fujiwara1@gmail.com> for the hint!
    - Load $HOME/.XCompose file by calling self.add_table_by_locale(None)
    - Add add_table_by_locale() to mock_engine.py to fix the unit tests

commit cc295b0dd05c36694409e440b7e755bfa3c1e04d
Author: Sergey A <sw@atrus.ru>
Date:   Sat Oct 14 16:35:55 2023 +0200

    Translated using Weblate (Russian)
    
    Currently translated at 80.0% (120 of 150 strings)
    
    Co-authored-by: Sergey A <sw@atrus.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 4ef37f63e8b362b2c336cbf14368c0070df8fbc7
Author: Sergey A <sw@atrus.ru>
Date:   Tue Sep 19 14:19:38 2023 +0000

    Translated using Weblate (Russian)
    
    Currently translated at 66.6% (100 of 150 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/

commit c3512f028ba1de18da6f23901550d89409f6cec9
Author: Anonymous <noreply@weblate.org>
Date:   Tue Sep 19 15:59:06 2023 +0200

    Translated using Weblate (Russian)
    
    Currently translated at 48.0% (72 of 150 strings)
    
    Translated using Weblate (Russian)
    
    Currently translated at 18.0% (27 of 150 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit 1ba3fb818f1528b899af36932c9e89782efe772b
Author: Sergey A <sw@atrus.ru>
Date:   Tue Sep 19 15:59:05 2023 +0200

    Translated using Weblate (Russian)
    
    Currently translated at 48.0% (72 of 150 strings)
    
    Translated using Weblate (Russian)
    
    Currently translated at 18.0% (27 of 150 strings)
    
    Added translation using Weblate (Russian)
    
    Co-authored-by: Sergey A <sw@atrus.ru>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ru/
    Translation: ibus-table/app

commit ea685aa695a27968a35c4cb83d36dd9bd42d70fb
Author: Weblate <noreply@weblate.org>
Date:   Thu Sep 14 12:08:36 2023 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit d1149261616a2590185c2aae19437dd50162ce05
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 15:42:41 2023 +0200

    Release 1.17.3

commit 4cfd348e8ff18c467a5c1a994af0275cc53b3890
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 16:34:07 2023 +0200

    Update ibus-table.pot (Only line number changes)

commit 88072e7efee35675eae4a5e547a7ca86c8650dff
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 18:25:22 2023 +0200

    remove /ibus-typing-booster.pc from .gitignore

commit 8c1cb448f98393a884e9b7513b7df22dcd2b87ed
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 18:19:52 2023 +0200

    Fix some comments which mentioned ibus-typing-booster and not ibus-table

commit a008897a9b58893975e21f842360a435014df98d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 15:35:31 2023 +0200

    Support several backends for playing sounds
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2237674
    
    The available backends are:
    
    • automatic
      - choose one of the available backends automatically, depending on
        what is installed and what should work depending on the version of
        Python and other stuff
    • pygame
      - Seems best, can also play mp3. But requires the SDL libs
    • pyaudio
      - Broken for Python >= 3.10 if not updated to pyaudio >= 0.2.12
        See: https://stackoverflow.com/questions/70344884)
      - Sometimes it seems to hang. Not often, but when this happens this is really bad
    • simpleaudio
      Broken in Fedora 39, see: https://bugzilla.redhat.com/show_bug.cgi?id=2237680
    • aplay
      - Use the “aplay” binary. Quite reliable, apparently

commit ba730cccad81f265bae441f4279bf09ec367b5e3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 12 22:28:40 2023 +0200

    Update Unihan_Variants.txt and regenerate engine/chinese_variants.py
    
    - Update Unihan_Variants.txt from “2022-04-26 Unicode  15.0.0 draft” to “2023-07-15 Unicode version: 15.1.0”
    - Regenerate engine/chinese_variants.py for Unihan_Variants.txt

commit 3aea49962801ee30d70cc9e005daeee51b15dfd7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 21 12:10:45 2023 +0200

    Release 1.17.2

commit 39619ba99d9978a4e311250d52e156e5687dc3e9
Author: Oğuz Ersen <oguz@ersen.moe>
Date:   Fri Aug 4 19:21:05 2023 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Co-authored-by: Oğuz Ersen <oguz@ersen.moe>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit a8e2f3d87879cc2dc84417d85f2de1230dcfc65e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jul 28 18:20:59 2023 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit 70f734278acf890aab53c61a9ffed6a77e0227b8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 10 11:07:21 2023 +0200

    Release 1.17.1

commit 0802887fb746ef49bcdabac9776bded06a8fd9fb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 10 11:28:14 2023 +0200

    Fix mypy warnings

commit 9188fa74a5445e0a3763ee5273193dc7147a4a4a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 10 11:00:28 2023 +0200

    Return empty program_name and window_title in get_active_window_xprop() when xprop results are unexpected
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2215466
    
    See also this ibus-typing-booster bug: https://bugzilla.redhat.com/show_bug.cgi?id=2175009

commit a39794d39f45e0c4faecef68e757175b0e473d07
Author: Anonymous <noreply@weblate.org>
Date:   Tue May 30 08:20:43 2023 +0200

    Translated using Weblate (Sinhala)
    
    Currently translated at 10.0% (15 of 150 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/si/
    Translation: ibus-table/app

commit 9c48742c0bf0f443f97d4e46a8447ddf0bfdb1dc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Apr 5 11:15:27 2023 +0200

    Release 1.17.0

commit e758bc45b99dda5e1faaf13160da0d2cf0830dbf
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Apr 5 10:33:57 2023 +0200

    New option commit_invalid_mode: Choose what happens when a character not in valid input characters is typed
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/133
    See also: https://github.com/moebiuscurve/ibus-table-others/issues/26

commit ed1fd30fba4e6c392d29433ef03260659d8b5c76
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 21 17:52:35 2023 +0100

    Ignore some mypy warnings

commit 64d3aec6f2184b7bdbb423086189c088a4a68789
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 21 17:42:22 2023 +0100

    Stop calling self.set_wmclass('ibus-setup-table', 'IBus Table Preferences')
    
    https://tronche.com/gui/x/icccm/sec-4.html#WM_CLASS
    
    gnome-shell seemed to use the first argument of set_wmclass()
    to find the .desktop file.
    
    If the .desktop file is found, the name shown by gnome-shell in the
    top bar comes from that .desktop file and the icon to show is also
    read from that .desktop file. If the .desktop file cannot be found,
    the second argument of set_wmclass() is shown by gnome-shell in the
    top bar.
    
    It only works like this when gnome-shell runs under Xorg
    though, under Wayland things are different.
    
    But https://docs.gtk.org/gtk3/method.Window.set_wmclass.html
    says:
    
    Don’t use this function. It sets the X Window System “class”
    and “name” hints for a window. According to the ICCCM, you
    should always set these to the same value for all windows in
    an application, and GTK+ sets them to that value by default,
    so calling this function is sort of pointless.
    
    Deprecated since:       3.22
    Please do not use it in newly written code.
    
    Nevertheless calling set_wmclass() still used to be necessary
    so I kept calling it inspite of the deprecation warning
    on stdout.
    
    But apparently this is not needed anymore since at least
    Fedora 34/RHEL9, now the icon and the correct text appear in
    the Gnome panel without calling set_wmclass().

commit 732f6225055e07ff27d6712061c6354798f9f739
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Wed Apr 5 15:50:33 2023 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit a1cb01fc6f174a1a7ad4aa72bbcc09edc7d783bb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Apr 5 13:48:01 2023 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit f05e2c1279101074d0a27ab5f936ab61c7c7960d
Author: Weblate <noreply@weblate.org>
Date:   Wed Apr 5 13:40:51 2023 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 52f1d4874d80e0e43c1608af6386e97447b35fa6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Apr 5 11:09:45 2023 +0200

    Update ibus-table.pot (4 new messages)

commit e262fade03160085a95a33245552e11361033f3b
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Sun Feb 5 19:20:26 2023 +0100

    Translated using Weblate (Georgian)
    
    Currently translated at 44.5% (65 of 146 strings)
    
    Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translation: ibus-table/app

commit ee8bb2317b9f52ecf7f24c1437b060040070b74c
Author: Weblate <noreply@weblate.org>
Date:   Sat Feb 4 03:20:37 2023 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translated using Weblate (Georgian)
    
    Currently translated at 44.5% (65 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translation: ibus-table/app

commit aa9e2ad29b6bd313baec86783029b323059b346b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 10 14:52:05 2022 +0100

    Release 1.16.14

commit 873c133c25990c7fba8fcdc14029534fe337ee2a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 10 14:53:21 2022 +0100

    Update ibus-table.pot (Only line number changes)

commit cf2c5020146ed03369649b8c0ca104a78baae207
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 10 14:40:38 2022 +0100

    Add “class Capabilite(Flag)” for compatibilty
    
    To be able to write
    
            if self.client_capabilities & it_util.Capabilite.OSK:
    
    instead of always checking whether a capability is already available in the current
    version of ibus:
    
            if (hasattr(IBus.Capabilite, 'OSK')
                and
                self.client_capabilities & IBus.Capabilite.OSK):

commit ca296cba952e56a9171b4daed471203c365b4464
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 10 09:08:18 2022 +0100

    Use lower() on LC_MESSAGES only if it is a string and not None
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/130
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2131410

commit 38d844bc77b0a0c4b75bddb756fcfbc3d927049e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 3 17:15:57 2022 +0100

    Improve string representation of class KeyEvent for better debugging output

commit 8861905c8a64191faeee7189820d82eaa2c29f17
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Nov 3 16:28:04 2022 +0100

    Use InputPurpose and and InputHints compatibility classes
    
    This code is synced from ibus-typing-booster.

commit 399751b84b078b79afcfbf64b2ce374018400e21
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 08:31:56 2022 +0100

    Release 1.16.13

commit 11ccc00849f4793b9608931ca9760085d01509ab
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 08:34:28 2022 +0100

    Update ibus-table.pot (Only line number changes)

commit 2d86913f189853ae7765933d9beafbc5a71e64e7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 21:21:04 2022 +0100

    Remove self._on, seems useless
    
    and change do_enable() and do_disable() to do the same as in ibus-typing-booster.

commit fbd93c21df7b99939fd9f498940e6ec82e8c87ed
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 21:13:13 2022 +0100

    Get program name of focused window also when ibus cannot get it
    
    - On Wayland desktops: Tries AT-SPI first and falls back to xprop
    - On X11 desktops: Uses only xprop

commit bb82fddb6410e43bf40ea239b50355640696a74a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 16:37:21 2022 +0100

    Use focus id if available (it is available for ibus >= 1.5.27)

commit 54efc800bde13f01638d855e135f64767093c853
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 15:58:52 2022 +0100

    Use IBus.PreeditFocusMode.COMMIT and make sure the input is cleared and the UI updated when the focus changes
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/129

commit 628f5510f09afdfd2951d78060a0bfb7bae68b53
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 15:41:12 2022 +0100

    Do not reset input purpose on focus out
    
    See: https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5966#note_1576732

commit e33b2d23b3620a7987007f8eaf072f686b27c5ea
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 1 08:24:44 2022 +0100

    Do not commit by index when OSK is visible
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/128
    
    Currently works only on Gnome Wayland.
    
    On Gnome Xorg it works only in gnome-shell entry widgets like “Run a
    Command” (Alt+F2) but not in other programs like gnome-terminal and
    gedit.

commit 9f047c950d54dbee5c5fd7f0013b32e5f52a260f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Sep 9 21:40:54 2022 +0200

    Use Gtk.Box instead of Gtk.ButtonBox
    
    Helps with porting to Gtk4 because Gtk.ButtonBox is not available in Gtk4 anymore.

commit 150a15f5d15b803c6715e2f5549618551abcc676
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Sep 9 21:31:33 2022 +0200

    Use Gtk.Box instead of Gtk.VBox and Gtk.HBox
    
    In Gtk4 there no Gtk.VBox and no Gtk.HBox, only Gtk.Box. Replacing the
    uses of Gtk.VBox and Gtk.HBox with Gtk4 compatible code will make
    porting to Gtk4 a bit easier.

commit 2b2cd118a03b761f5d76a5c344e3fbedaf07ba93
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Tue Oct 25 07:28:26 2022 +0200

    Translated using Weblate (Georgian)
    
    Currently translated at 43.8% (64 of 146 strings)
    
    Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translation: ibus-table/app

commit 2ee27a58ddb94c3eee34d285982a76c47d5c9093
Author: Anonymous <noreply@weblate.org>
Date:   Sat Oct 1 01:20:54 2022 +0200

    Translated using Weblate (Georgian)
    
    Currently translated at 43.8% (64 of 146 strings)
    
    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 62.3% (91 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit 705ccaa8d81769ba1a5bd5c60ce78d3fc6cd421f
Author: Oğuz Ersen <oguz@ersen.moe>
Date:   Sat Sep 24 17:19:36 2022 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (146 of 146 strings)
    
    Co-authored-by: Oğuz Ersen <oguz@ersen.moe>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit c1f2009655af4dfc1aaf3bfd9d0d5fc42402c5ae
Author: Weblate <noreply@weblate.org>
Date:   Fri Sep 9 18:58:34 2022 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 7ffccf83283f5366fa3b81abede735eec7a8ae6a
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Fri Sep 9 18:58:33 2022 +0200

    Translated using Weblate (Georgian)
    
    Currently translated at 41.0% (60 of 146 strings)
    
    Added translation using Weblate (Georgian)
    
    Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ka/
    Translation: ibus-table/app

commit 88ac6d921e6252e2d1450f017a519fc12e591138
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 5 19:51:48 2022 +0200

    Release 1.16.12

commit 930bfd8ddfe35948aa5e6164f244a79c29cba787
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 5 19:53:06 2022 +0200

    Update ibus-table.pot (Only line number changes)

commit 1779f8f9f2cf709092db613c0ad0bc1067ba16ce
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 5 14:57:20 2022 +0200

    Add 128x128, 256x256, and svg (remote) icons to ibus-table.appdata.xml

commit bbcfba9d5882735b81276ce80c115b6ac5e5502c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 5 14:52:16 2022 +0200

    Use setlocale() and getlocale() instead of getdefaultlocale()
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/120

commit 1616f65f4a05c6de634b6aa6580b8ebfad9318e6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 10 09:19:10 2022 +0200

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 78.0% (114 of 146 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    Translation: ibus-table/app

commit f5583ba6dbe3aaca551effa00b8873f9fd5c26ec
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Aug 6 13:58:57 2022 +0200

    Release 1.16.11

commit 2372bc731171863e29e43cc2c47888e789aa0469
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Aug 6 13:54:08 2022 +0200

    Remove hashbang from chinese_variants.py and tabcreatedb.py
    
    - chinese_variants.py is only imported an never executed
    - tabcreatedb.py is usually executed via a the wrapper script “ibus-table-createdb”
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/118

commit dd232594b475ce6b97a81be21fe906c8231d00eb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 3 09:34:46 2022 +0200

    Add “translate” URL and keywords to ibus-table.appdata.xml

commit 013e682491bf35cc84e9b9f37dfdf238fd130212
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 2 10:57:43 2022 +0200

    Release 1.16.10

commit ec4f225599fef4fc45878f84dc2be9a4a28d54b6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 2 11:02:59 2022 +0200

    Do not make the caption of the screenshot in the appdata.xml file translatable
    
    I think gnome-sofware would not display the translation anyway.

commit b72de3f8a760ec6bd0f248053ee9081c1348856e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 28 09:53:32 2022 +0200

    Add (remote) icon and screenshot to ibus-table.appdata.xml

commit e3ca6b174c95c2fad3ffdb230f1baaa65fb803f8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 2 08:20:45 2022 +0200

    Generate png versions of the ibus-table icon from the svg master
    
    To be able to display an icon in gnome-software, svg does not work there.
    
    I tried to use “convert” from ImageMagick to do the conversion like this:
    
    for i in 16 22 32 48 64 128 256
    do
        mkdir ${i}x${i}
        convert -background none -density 1024 -resize ${i}x${i} ibus-table.svg ${i}x${i}/ibus-table.png
        mogrify -density 96 ${i}x${i}/ibus-table.png
    done
    
    But that just produces completely empty png files. Adding the -verbose option
    shows that inkscape is used for the conversion. But opening the ibus-table.svg
    in inkscape just shows a white box.
    
    So I used gimp to do the conversion.

commit 040ae4fa1216b099aa774d41c0b44d6d654f6dc7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Jul 30 09:48:59 2022 +0200

    Add <content_rating type="oars-1.1"/> to appdata.xml files
    
    See: https://github.com/hughsie/oars/blob/master/specification/oars-1.1.md

commit 3b6afbfced8a56f026bfb2449f15066b4fc4280f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 13 18:30:57 2022 +0200

    Release 1.16.9

commit 026eeca3c8600f90f732764e7c48ee171763a5c1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 13 18:27:44 2022 +0200

    Require Python >= 3.6 to build

commit 7c3573745407414ba7d6cb8c9a9b0b42bceaf2bd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 13 18:20:24 2022 +0200

    Use a less exact type hint to make building tables from sources work with Python 3.6 as well
    
    Resolves: https://github.com/kaio/ibus-table/issues/79
    Resolves: https://github.com/mike-fabian/ibus-table-chinese/issues/5

commit c4903d86910417ae40c1089fdb885bb89081d8eb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 13 18:16:24 2022 +0200

    Update ibus-table.pot (Only line number changes)

commit e6fd5a336e0618e40b0b69e42c2251262a83acf2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 13 18:04:17 2022 +0200

    Update configure.ac for latest autoconf 2.71
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/112
    
    - Use “autoupdate” to modernize configure.ac
    - Use “autoreconf -fiv” in “./autogen.sh”

commit 0c621fd918c27ddd69ef04e15047995e9b260d57
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 13 18:02:07 2022 +0200

    Update home page URLs (code.google.com is not used anymore)

commit 3b9e25d1728fd154cf66c122c28cbe79c80fff15
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Apr 28 10:28:32 2022 +0200

    Release 1.16.8

commit 44e99f2a7482ad75554fae9e54913207dd8cc656
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Apr 28 10:17:15 2022 +0200

    Regenerate engine/chinese_variants.py for Unihan_Variants.txt from “2022-04-26 Unicode 15.0.0 draft”
    
        - Because of the new Unihan_Variants.txt, the following 4 characters
          are added to the VARIANTS_TABLE in chinese_variants.py:
          u'囃': 2, u'戠': 3, u'臤': 3, u'鰛': 2,
    
        - And because of the new Unihan_Variants.txt, the following character
          is removed from VARIANTS_TABLE in chinese_variants.py:
          u'𫝜': 2,
    
          1 = simplified Chinese
          2 = traditional Chinese
          3 = used both in simplified *and* traditional Chinese

commit b20b84e87ae7e3f79b7e70433913aecdc683c5f7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Apr 28 10:02:26 2022 +0200

    Update Unihan_Variants.txt from “2021-12-01 Unicode 15.0.0 draft” to “2022-04-26 Unicode  15.0.0 draft”
    
    All our fixes are included upstream.

commit 391432f8a34a3e35615d1e2b70f7a2578fa96f4c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 4 08:05:29 2022 +0200

    Fix some pylint warnings

commit 27ae3129b11efa47095f143ee726a17f1ebd8264
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 31 09:03:42 2022 +0100

    Add type hints also for the test cases

commit e181dd2e584a77975d0f366fb2003a4b3d774f92
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 31 09:02:50 2022 +0100

    Remove duplicate function in mock_engine.py

commit 7d94f39009b3c5cd4940a3c83165684ab2b4eacc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 30 11:19:53 2022 +0100

    Use mypy --strict

commit 93aeed71aaf4404418f3df84265f53fdbaec8e8a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 30 11:19:32 2022 +0100

    Add some more type hints

commit 79847e3581c965a3e0ee0adfe50d27185fd46f43
Author: Anonymous <noreply@weblate.org>
Date:   Wed Mar 30 09:56:14 2022 +0200

    Translated using Weblate (Persian)
    
    Currently translated at 11.6% (17 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fa/
    Translation: ibus-table/app

commit 3433649b1a923257b59aaf6401e99a11cd2f233f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Feb 17 13:59:05 2022 +0100

    Add "Bug report" and "Feature request" issue templates

commit 31465f33ed95a84fc74b5ff30e0f1c8268177307
Author: Anonymous <noreply@weblate.org>
Date:   Fri Feb 4 19:16:38 2022 +0100

    Translated using Weblate (French)
    
    Currently translated at 97.2% (142 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translation: ibus-table/app

commit 6ffd9b36aaa2410aad8ae6df8430c62a9f923caf
Author: Weblate <noreply@weblate.org>
Date:   Sat Jan 29 11:38:46 2022 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 8fe3e3c9a18dfc45bfdf7b13970a44796181e7bb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 25 16:55:21 2022 +0100

    Release 1.16.7

commit de758ee10970d84c3e5b902efd1e83f3f7364bfe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 28 12:58:33 2022 +0100

    Update ibus-table.pot (Only line number changes)

commit 9150ab7996e75389fe4ce3706d4904820db9e581
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 28 08:30:11 2022 +0100

    Update copyright years

commit e72481fd0652cefb71c791eed9803c084d7ab779
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 28 10:29:04 2022 +0100

    Add default value for auto_wildcard in self._default_ime_attributes

commit 0078dc05caf62da118d13617b597af783999eb5f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jan 27 12:59:16 2022 +0100

    Ignore MOD3_MASK (“Usually” Scroll Lock) when matching key bindings
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/102

commit cd8746e1eba0d427c7440b93602d7adc333755a2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 26 11:09:02 2022 +0100

    Add some more type hints

commit 05cc750a0c84d1cc48d9c54855391d558d17efdb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 25 16:51:04 2022 +0100

    When a Modifier key release matches a hotkey command, return False not True.
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/98
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=2038973

commit 082680dd44b89e9dbbd81e5b93e2f385414bd712
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 25 12:55:14 2022 +0100

    Add some more type hints

commit c71482e3cdd4ed824278cb0cd8c58d2d9f6c89f2
Author: Weblate <noreply@weblate.org>
Date:   Fri Jan 28 08:39:46 2022 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 9d9bbbd11d728bf0c4031785c2cf0e2f8d6b05dc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 25 17:00:29 2022 +0100

    Update ibus-table.pot (Only line number changes)

commit 8d0ce1e3d5b8d2cbd5483c7912bcbdaa363c9327
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 24 18:14:57 2022 +0100

    Release 1.16.4

commit b25a994cf34120f00f82a106c06e3d8d1124b716
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 24 21:08:32 2022 +0100

    Adapt test case for “Fix more errors in Unihan_Variants.txt by checking against a Traditional Chinese dictionary”
    
    See: https://github.com/mike-fabian/ibus-table/issues/100

commit a0bef3f19dfb034f360533f6d932b329f1a72aec
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 24 20:04:13 2022 +0100

    Fix more errors in Unihan_Variants.txt by checking against a Traditional Chinese dictionary
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/100

commit c01cd0a3e53db5ad52495416797431c7be9c65fa
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Jan 22 16:30:17 2022 +0100

    Fix some errors in Unihan_Variants.txt
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/97

commit 89415b0c6704f7f61607a85095531eb8b5858857
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   Sun Jan 23 17:16:37 2022 +0100

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (146 of 146 strings)
    
    Co-authored-by: Emilio Herrera <ehespinosa57@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translation: ibus-table/app

commit 72fa3d30831c03f551c94b04c81fc1b4a8cbbcb0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jan 20 12:47:10 2022 +0100

    Release 1.16.3

commit 9ee6edbe23ed1ad39199d916ec740775d69b58f0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 21 11:26:12 2022 +0100

    Fix a few errors in Unihan_Variants.txt
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/96

commit c80597d1d35bb7bf3302ed0c7ffa3fea37a3c67d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jan 20 12:34:45 2022 +0100

    栗 U+6817 is used in Traditional Chinese as well.
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/95

commit c1c39a3dd8aca8c334c00118ba54dd74995fbd47
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jan 20 11:22:12 2022 +0100

    Regenerate engine/chinese_variants.py for Unihan_Variants.txt from “2021-12-01 Unicode 15.0.0 draft”
    
    - Because of the new Unihan_Variants.txt, the following 37 characters
      are added to the VARIANTS_TABLE in chinese_variants.py:
      u'䓨': 1, u'沄': 1, u'潕': 2, u'澐': 2, u'罃': 2, u'鮗': 2, u'龻': 2,
      u'鿟': 1, u'鿠': 2, u'鿰': 1, u'鿲': 1, u'鿳': 2, u'鿴': 1, u'鿵': 1,
      u'鿶': 1, u'鿷': 1, u'鿸': 1, u'鿹': 1, u'鿺': 1, u'𣲘': 1, u'𤇾': 2,
      u'𤪤': 2, u'𦥯': 2, u'𧰎': 2, u'𩷓': 2, u'𩷕': 2, u'𩹎': 2, u'𪄳': 2,
      u'𪛞': 1, u'𫇦': 1, u'𬉧': 2, u'𬵨': 2, u'𰀡': 1, u'𰀢': 1, u'𰁜': 1,
      u'𰃮': 1, u'𰯲': 2,
    
      1 = simplified Chinese
      2 = traditional Chinese
      3 = used both in simplified *and* traditional Chinese

commit df46474f7e8bc57e66910529c319c1512c0f3366
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jan 20 11:12:52 2022 +0100

    Update Unihan_Variants.txt from “2021-08-06 Unicode 14.0.0 final” to “2021-12-01 Unicode 15.0.0 draft”

commit f52c1071d6157619a57e3b14f898a4660b2b7d0e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 11:56:58 2022 +0100

    Release 1.16.0

commit 8ce8323f955fb249c11bfdff337461c6abce12b4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 18 14:42:02 2022 +0100

    Make true the default for “rememberinputmode”
    
    When the input mode is remembered, it works much better when using
    “[x] Switch input sources individually for each window”.
    
    See: https://github.com/mike-fabian/ibus-table/issues/85#issuecomment-1015417630
    
    Overall remembering the input mode is the nicer default.

commit 41b35381cdd44a28d19cbfd39029f22442862945
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 10 15:37:15 2022 +0100

    Save “inputmode” to gsettings and add a “rememberinputmode” gsettings
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/85
    
    This makes it possible to change the current input mode from the command line.
    
    And with “rememberinputmode” one can choose whether the last used
    input mode should be remembered and be used again when a new session
    starts or whether a new session should always start in table mode.

commit 22d0772d132fea008195e90b1ccdb654ab490bc6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 10:58:16 2022 +0100

    Remove useless + when concatenating strings

commit 6e421a2ec808e05f11dfb5b66d8a45569c755a57
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 10:58:45 2022 +0100

    Rename a local variable

commit cf4f52943bb9fbd3ccee898dca03ca61b0adea1b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 11 19:18:30 2022 +0100

    Skip cangjie5 and erbi-qs test cases if the tables are too old

commit 4350424214eb9b47cf232fd2c030134bd521f383
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 11 16:48:01 2022 +0100

    Replace deprecated module “optparse” with “argparse”

commit 0476c2de7a6a8f160f90f6df34748fd4ab8ee17d
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Thu Jan 13 08:03:15 2022 +0100

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (146 of 146 strings)
    
    Co-authored-by: Oğuz Ersen <oguzersen@protonmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit 407430eb28fa1d2371bb32eeb0e3e4adc08287f2
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Thu Jan 13 08:03:14 2022 +0100

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (146 of 146 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit b5a4722493daa6b7725ee0462cd3af00f675c873
Author: Anonymous <noreply@weblate.org>
Date:   Wed Jan 12 18:33:19 2022 +0100

    Translated using Weblate (Ukrainian)
    
    Currently translated at 99.3% (145 of 146 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 96.5% (141 of 146 strings)
    
    Translated using Weblate (Czech)
    
    Currently translated at 36.9% (54 of 146 strings)
    
    Translated using Weblate (Catalan)
    
    Currently translated at 86.9% (127 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit a205ea795a8cc24f81329f1f80a523cb8652c923
Author: Anonymous <noreply@weblate.org>
Date:   Wed Jan 12 18:30:46 2022 +0100

    Translated using Weblate (Turkish)
    
    Currently translated at 99.3% (145 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit 9297231c96090dbcad73c05799aefc345f96d7d8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 18:23:21 2022 +0100

    Translated using Weblate (German)
    
    Currently translated at 100.0% (146 of 146 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit 5c59c66820443c0c5a210274f98cd69edbfb2b67
Author: Weblate <noreply@weblate.org>
Date:   Wed Jan 12 18:23:21 2022 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 59b26f4766db3c5c09baeada3ad2dfc9cabf9fd5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 18:17:06 2022 +0100

    Update ibus-table.po (Fix mistakes in one English message I

commit 925f9d76aaed26a354ba85d41f687d91040ec4d7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 18:11:02 2022 +0100

    Update ibus-table.po (Fix mistakes in one English message ID)

commit 25eb384914ea633a7cf3f4ef570be845b811abba
Author: Anonymous <noreply@weblate.org>
Date:   Wed Jan 12 18:01:18 2022 +0100

    Translated using Weblate (German)
    
    Currently translated at 99.3% (145 of 146 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit 2c97d9ddf32b0f341c6c7061744eb04cf0c1bed1
Author: Weblate <noreply@weblate.org>
Date:   Wed Jan 12 17:54:59 2022 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit ae297221f26c80a399dbca4921625b038b084bf7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 12 12:02:51 2022 +0100

    Update ibus-table.po (Two new messages because of rememberinputmode)

commit c90a0e3349d6fe681f79aaf19519a3f528c7d058
Author: Weblate <noreply@weblate.org>
Date:   Tue Jan 11 12:15:15 2022 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 84ad6bbc3b754de1c3e0566b138e1ff62d8711fe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 28 13:02:33 2021 +0200

    Release 1.15.0

commit 0fbc83d5af306a512b177defa0c1e0a73fdff53a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 11 09:56:28 2022 +0100

    Update ibus-table.pot (Only line number changes)

commit 4aaca9f9bc6bba15ad0d9a8d32155be59d42b734
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 11 09:17:09 2022 +0100

    Fix type hint warning

commit d1ebf137b7076d00953b05ae9a60fd6cf73ffc77
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 11 08:29:58 2022 +0100

    Fix some pylint warnings

commit 3a3ce9076667cf61ba3fb5c93d8d883b5a7d9e9e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 10 15:35:31 2022 +0100

    Improve comment explaining goucima

commit 4399053de16462574785108909bd53e61a9a7153
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 10 15:34:28 2022 +0100

    Add test cases for goucima for the wubi-jidian86 and erbi-qs tables

commit 8b819bf378615c37e9d649c1a8870983ee2d7526
Author: lidan <yihuanlingjian@gmail.com>
Date:   Thu Dec 23 15:56:51 2021 +0800

    skip i/u/v started code for pinyin mode of erbi-qs

commit ee338f3642f7c020021c671de43047c88ed0a70f
Author: lidan <yihuanlingjian@gmail.com>
Date:   Wed Dec 22 20:02:05 2021 +0800

    use max same-prefix count code as pinyin candidate
    
    for example select "sxr." in ["sx", "sxr.", "isong"] for 松 in erbi-qs

commit 54391f45645f042ccca4120068761e3cc8671320
Author: lidan <yihuanlingjian@gmail.com>
Date:   Wed Dec 22 16:24:27 2021 +0800

    add code to table by section
    
    in case unmarked auxiliary code in erbi-qs selected as goucima.

commit 00871d6d5cd4b24232aefc00bc8a64c893bb5fef
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 11 07:40:34 2022 +0100

    Adapt test cases for cangjie5 for the improvements in the cangjie5 table
    
    The cangjie5 table has been improved according to:
    
    https://github.com/mike-fabian/ibus-table/issues/76
    https://github.com/mike-fabian/ibus-table/issues/87
    
    Therefore, the test cases need to be changed as well.

commit 4debaa58c3fda80880a33f87f54568a11649f03c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 5 11:30:31 2021 +0200

    Regenerate engine/chinese_variants.py for Unihan_Variants.txt from “2021-08-06 Unicode 14.0.0 final”
    
    - *All* our fixes which are now included upstream.
    - Because of the new Unihan_Variants.txt, the following 48 characters
      are added to the VARIANTS_TABLE in chinese_variants.py:
      u'䓖': 1, u'了': 1, u'伙': 1, u'借': 1, u'傢': 2, u'冬': 1, u'千': 1,
      u'卜': 1, u'卷': 1, u'吁': 1, u'合': 1, u'回': 1, u'夥': 2, u'姜': 1,
      u'家': 1, u'峃': 1, u'嶨': 2, u'庼': 1, u'廎': 2, u'懞': 2, u'才': 1,
      u'折': 1, u'捲': 2, u'摺': 2, u'旋': 1, u'朱': 1, u'濛': 2, u'灶': 1,
      u'瞭': 3, u'矇': 2, u'硃': 2, u'秋': 1, u'竈': 2, u'籲': 2, u'纔': 2,
      u'蒙': 1, u'蔑': 1, u'蔔': 2, u'薑': 2, u'藉': 3, u'藭': 2, u'衊': 2,
      u'迴': 2, u'霉': 1, u'鞦': 2, u'黴': 2, u'鼕': 2,
    
      1 = simplified Chinese
      2 = traditional Chinese
      3 = used both in simplified *and* traditional Chinese

commit 6ade76f6212fc21fb842bf59fbc6d83dde266f90
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 5 11:19:27 2021 +0200

    Update Unihan_Variants.txt from “2021-05-18 Unicode 14.0.0 draft” to “2021-08-06 Unicode 14.0.0 final”

commit a816c14bcea6642368656b9bb9e9b9f5e58d2c8b
Author: Anonymous <noreply@weblate.org>
Date:   Tue Sep 28 14:00:34 2021 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit 63c5839731ce32e1392fc31ca93af9d5c6604a31
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 28 14:00:34 2021 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit cf894c6bbdd971a7cce2d64b2ca9061c58f88ac4
Author: Weblate <noreply@weblate.org>
Date:   Tue Sep 28 13:08:15 2021 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 3af201336edd646b07da063100e76c668dd1de41
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 28 13:04:44 2021 +0200

    Update ibus-table.pot, Rafael Fontenelle fixed a typo

commit 3cf8a94f05d6ae7651dc407a8a2a2d2c417bd65f
Author: Rafael Fontenelle <rffontenelle@users.noreply.github.com>
Date:   Sat Sep 4 21:23:21 2021 -0300

    Fix typo in main file

commit 55a61b94d0330305592176d58a894b15057204f5
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Mon Sep 6 03:05:05 2021 +0200

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Rafael Fontenelle <rafaelff@gnome.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translation: ibus-table/app

commit e83aa51cc0b580829b7f9751c10f5a753138bafe
Author: Anonymous <noreply@weblate.org>
Date:   Mon Sep 6 03:05:05 2021 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 97.2% (141 of 145 strings)
    
    Translated using Weblate (Catalan)
    
    Currently translated at 87.5% (127 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translation: ibus-table/app

commit 96286e3458150aad08bf00c23bb5b0b204b334bd
Author: Anonymous <noreply@weblate.org>
Date:   Thu Aug 26 14:04:54 2021 +0200

    Translated using Weblate (Sinhala)
    
    Currently translated at 6.8% (10 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/si/
    Translation: ibus-table/app

commit 32307584f7b9329c706adcf61fd4d786a0a5f677
Author: Weblate <noreply@weblate.org>
Date:   Wed Aug 25 13:18:50 2021 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit cc121ef1bfa5ba97b679b9496a608357cd1f1940
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 22 16:44:27 2021 +0200

    Release 1.14.1

commit 523c63097fedd5a79de886e58395d0c11b6bfd29
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 25 12:38:05 2021 +0200

    Update ibus-table.pot (Only line number changes)

commit c43c22e8088f0da92ee8a187f3bfe0438addef34
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 25 12:31:40 2021 +0200

    If an exception happens when trying to play a sound, catch it.
    
    This bug has been reported:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1995955
    Bug 1995955 - [abrt] ibus-table: play_buffer(): shiny.py:60:play_buffer:_simpleaudio.SimpleaudioError: Error opening PCM device. -- CODE: -24 -- MSG: 開啟太多檔案
    
    (開啟太多檔案 = Too many files open)
    
    I have no idea how to reproduce that but catching the exception should
    fix it, it should make ibus-table continue working normally if any
    such serious problem with playing sounds occurs. Without sound of course
    but it should not stop working.

commit 0dc03fd2cb97013f2e208b42b62237d4b2e07f79
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 25 12:24:01 2021 +0200

    When changing the error sound file with the setup tool, play it
    
    To make the user hear immediately what kind of sound was selected.

commit 56d2ef760ce37565b8ae4589004ae5208443a17c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 22 20:21:56 2021 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translation: ibus-table/app

commit eab7d13075e25b0a05d1251fdb93f1eb8ba3df43
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 26 11:56:57 2021 +0200

    Fix typo when attaching to the options grid
    
    Luckily that typo had no effect.

commit 22df558c379edaf9a273c1c6cdb26d1f296f6130
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Thu Jul 22 17:04:01 2021 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit d65bfda0905e95aeaf87c8404f0860c8bae16881
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 22 17:04:01 2021 +0200

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 78.6% (114 of 145 strings)
    
    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (French)
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Translated using Weblate (Catalan)
    
    Currently translated at 86.8% (126 of 145 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit aaa6dc1deb10eb91e4c50e71eefab0df16d86a9c
Author: Anonymous <noreply@weblate.org>
Date:   Thu Jul 22 17:04:00 2021 +0200

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 95.1% (138 of 145 strings)
    
    Translated using Weblate (Turkish)
    
    Currently translated at 99.3% (144 of 145 strings)
    
    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 78.6% (114 of 145 strings)
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 95.1% (138 of 145 strings)
    
    Translated using Weblate (Catalan)
    
    Currently translated at 86.8% (126 of 145 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 95.1% (138 of 145 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translation: ibus-table/app

commit 8319049d7e8a3422a1bf297a806e23e6079c0217
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 22 17:04:00 2021 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit cebefbe4500a49c9c422e9df3ebc6302625f14a6
Author: Anonymous <noreply@weblate.org>
Date:   Thu Jul 22 17:03:59 2021 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit beb9eb87fcf30924a1dc866667845b3c2344827f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 22 16:51:38 2021 +0200

    Update ibus-table.pot (Remove some :s at the end of messages which are not checkboxes)

commit dc0c4603ef7ce6e07e97701e3e700e55ee5cf436
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 22 16:42:01 2021 +0200

    Remove colons after “Auto select:”, “Auto wildcard:”, and “Use dark theme:”
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/70#issuecomment-884664898

commit cb98270d665c92bf8210f3d177656ac728193d76
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 14 11:16:22 2021 +0200

    Release 1.14.0

commit 62843052ed1c1d427a7b384fbf25c22c39575278
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 19:28:19 2021 +0200

    Fix some pylint warnings

commit eb06116266fb8066ac25b751b4f83cb184ca9016
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 19:27:54 2021 +0200

    Update copyright years

commit 5d6ff33455a697ff554b57ff16fe5546be2a48d6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 13:27:09 2021 +0200

    Hide options which make no sense for certain tables instead of just graying them out

commit a132945ad87bccfb5321480be5b1bb348d105cce
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 11:41:08 2021 +0200

    Save some now unused translatable strings for possible use later
    
    To avoid losing translations which are already done.

commit b799cb9acf68855d0edfceaba518eaade5e85080
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 11:34:46 2021 +0200

    Use a checkbutton instead of a combobox for the always show lookup option

commit 9775c29d20bd1981506943071787ac7457bf5af2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 11:23:01 2021 +0200

    Use a checkbutton instead of a combobox for the dark theme option

commit f312eaeee81c32c42a4ace9600f353b71068aba9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 11:03:56 2021 +0200

    Use a checkbutton instead of a combobox for the autowildcard option

commit 65011db885e8e3a6fe52bd14c4fbe6fba503eb94
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 10:46:13 2021 +0200

    Use a checkbutton instead of a combobox for the autoselect option

commit fe2aef8c393c4f6eb3b9bd7950cfa5df5d276431
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 08:38:43 2021 +0200

    Test case for new dynamic adjust option

commit f0ba8ffd23416189916d5b6778cd41348214dbbe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 14 18:45:32 2021 +0200

    Add option to set dynamic adjust at runtime
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/70
    
    Also add a button to forget all the data learned by typing and selecting candidates.

commit 5bb3c11fe41f818e958fb5fe103efbb599d90b6b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Jul 17 21:43:17 2021 +0200

    Use variables to count rows in options tabs in setup tools

commit 5e6d7c87f0673e84e5519db5fb03ce356fe9edca
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jul 16 13:45:38 2021 +0200

    Add more type hints to setup/main.py

commit c18050e47f2a8f5f58cd30212690996bb0fd5350
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 14 18:29:09 2021 +0200

    Remove self.suggestion_mode from class TabSqliteDb, it was unused there

commit 20d665f768c38904cb88cc37b33a0cb107526b40
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 14 18:03:18 2021 +0200

    Move self._dynamic_adjust variable from tabsqlitedb.py to table.py
    
    Preparation to make dynamic adjustment changeable at runtime.

commit 3a75033754490eccea6fe580cbe625a3bdbb6a64
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 12 10:35:46 2021 +0200

    Add options to play sound file on error
    
    Resolves: https://github.com/kaio/ibus-table/issues/75

commit 55e6bc4ec120c31ed6dc63306914f319bb972a21
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 8 15:47:47 2021 +0200

    Add sound file coin9.wav
    
    To be used as an error sound.
    
    Downloaded from:
    
    https://freesound.org/people/The-Sacha-Rush/sounds/336936/download/336936__the-sacha-rush__coin9.wav
    
    License:
    
    This work is licensed under the Creative Commons 0 License.
    
    https://creativecommons.org/publicdomain/zero/1.0/
    
    CC0 1.0 Universal (CC0 1.0)
    Public Domain Dedication
    
    No Copyright
    
    The person who associated a work with this deed has dedicated the work
    to the public domain by waiving all of his or her rights to the work
    worldwide under copyright law, including all related and neighboring
    rights, to the extent allowed by law.
    
    https://creativecommons.org/publicdomain/zero/1.0/legalcode

commit 6848ee810a6ea790d6b764c6196fa5bc65ceac4a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 20 10:59:38 2021 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit 05a6686d49e140469a88e773c5e1906dc48ac823
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Jul 20 10:59:38 2021 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit eb3bbaf9afb964f40c1f4d57285e0d9bc1f8b9e0
Author: Anonymous <noreply@weblate.org>
Date:   Tue Jul 20 10:59:37 2021 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit bbf9f1ae72575833dc239a8c0bf6d9b1020c8239
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 20:49:57 2021 +0200

    Update ibus-table.pot (Added a missing space after a period in a tooltip)

commit 219063b075736cb4288e7914d15ae96fc2ebd318
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Mon Jul 19 20:18:08 2021 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Oğuz Ersen <oguzersen@protonmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit 6c3cbd00e4782db05890d28c4218ac88a4e02bfa
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Jul 19 16:10:59 2021 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Translated using Weblate (Ukrainian)
    
    Currently translated at 98.6% (143 of 145 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit 24652bf9b52e992947f024e96db8d04b72c4ec51
Author: Anonymous <noreply@weblate.org>
Date:   Mon Jul 19 16:10:59 2021 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (Ukrainian)
    
    Currently translated at 97.9% (142 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translation: ibus-table/app

commit f9d410fc52d4351adc08c6d7e12a6534172e86e4
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Jul 19 16:10:59 2021 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 97.9% (142 of 145 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit 95c9360c2ae3b77b270ce53b8d20a1e0a66a2621
Author: Anonymous <noreply@weblate.org>
Date:   Mon Jul 19 16:10:59 2021 +0200

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (French)
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 95.8% (139 of 145 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translation: ibus-table/app

commit 454e15dfc4cb533397566c35bb3cb0f7df15a655
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 19 16:10:58 2021 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (145 of 145 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translation: ibus-table/app

commit adb2d99d8e18e239444e2d264cfd56a69077db57
Author: Anonymous <noreply@weblate.org>
Date:   Mon Jul 19 16:10:58 2021 +0200

    Translated using Weblate (Czech)
    
    Currently translated at 36.5% (53 of 145 strings)
    
    Translated using Weblate (Catalan)
    
    Currently translated at 86.8% (126 of 145 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    Translation: ibus-table/app

commit 0e1e69d34ba3d3e6f9ca996988760d6dc77eb968
Author: Weblate <noreply@weblate.org>
Date:   Mon Jul 19 15:56:59 2021 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit a509825412bceaa10a7d1fbb14cec9ebef42a7fa
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 14 11:21:08 2021 +0200

    Update ibus-table.pot (some new messages because of the new options)

commit b8ad155d77a033b5d5cde0ebf6d9f3fd6a6e007e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 14 18:21:21 2021 +0200

    Small adjustment to one of the latex test cases
    
    To make it work with both with ibus-table-others-1.3.12 *and*
    ibus-table-others-1.3.11. The latex.txt table in ibus-table-others-1.3.12 has
    
    SELECT_KEYS = F1,F2,F3,F4,F5,F6,F7,F8,F9,F10
    
    the older version in ibus-table-others-1.3.11 has
    
    SELECT_KEYS = F1,F2,F3,F4,F5,F6,F7,F8,F9
    
    The default page size is calculated from the number of select keys,
    to make this test work for both versions, set the page size to 9 in
    the test.

commit 08db3d41dd63bb5efd602595d80c722d57f160d3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 13 14:52:01 2021 +0200

    Fix a pylint warning

commit 2f4b8556a28a7e342d200bed8b81d5fe6efb1ce3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 9 17:47:30 2021 +0200

    Release 1.13.3

commit 5ed1cc16b398e0161e63ef35421d94166caf56c0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 9 17:29:46 2021 +0200

    Fix some more bugs in Unihan_Variants.txt
    
    Resolves: https://github.com/ibus/ibus/issues/2323

commit 521054fc811a72161673aea07b55062a34df8d52
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 9 15:46:17 2021 +0200

    Move test characters which are already fixed in Unicode up in generate-chinese-variants.py

commit d14b2d8d5a573ecd8eb3996187002a429aec9254
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 14:29:49 2021 +0200

    Release  1.13.2

commit 6384e217f7283d12b1bdabbc10da4d2cf2e4f94a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 13:59:59 2021 +0200

    Fix bug in Unihan_Variants.txt, 只 U+53EA is both simplified *and* traditional Chinese
    
    Resolves: https://github.com/kaio/ibus-table/issues/74

commit 5406e5badb03d2719b47f9878f64969afc304bce
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 14:17:02 2021 +0200

    Small improvements to the test function in generate-chinese-variants.py
    
    (Don’t exit after the first fail, do all tests and print a summary)

commit 7152e2eaa01a9cb234e7e4a6f02174684f4ac42c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 14:40:50 2021 +0200

    Adapt test case to update of Unihan_Variants.txt

commit 7a8a23dbe988dcdba100cb32caca228fdb2c7c93
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 14:13:41 2021 +0200

    Regenerate engine/chinese_variants.py for Unihan_Variants.txt from “2021-05-18 Unicode 14.0.0”
    
    (Including our fixes which are not yet included upstream)

commit c37452a7bf49ccfd0f2062a3e90085022cb3735b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 13:58:22 2021 +0200

    Keep our fixes to Unihan_Variants which are not yet included upstream

commit 68bffbdde2f98399abd430d749bcbfcfc361aaa6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 8 13:40:25 2021 +0200

    Update Unihan_Variants.txt from “2017-05-14 Unicode 10.0.0” to “2021-05-18 Unicode 14.0.0”
    
    (From the current draft version of Unicode 14.0.0)

commit bd85760453498920be33aaf5eab9313115ff8945
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat May 22 07:59:09 2021 +0200

    Remove redundant line

commit b59e0bc0b8aa6a6d25fe337c013be714fd4d3721
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   Sat Jun 5 18:03:19 2021 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Emilio Herrera <ehespinosa57@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translation: ibus-table/app

commit 93d39887ef87e83525f395d5ccdc74ef6ec8fc62
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Tue May 25 00:03:31 2021 +0200

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Rafael Fontenelle <rafaelff@gnome.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translation: ibus-table/app

commit 34218eb71047896e6256e7666c779abae55f0754
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun May 16 21:40:59 2021 +0200

    Release 1.13.1

commit 4acb1f35b898f6f0d0c6c30237a7705cd993ffd6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun May 16 21:34:59 2021 +0200

    Fix reading the source file for the suggestions phrase.txt.bz2
    
    Problem was introduced by removing the Python2 compatibility stuff in:
    
        commit 221acc4a876d4590cef677571f328bca819ced51
        Author: Mike FABIAN <mfabian@redhat.com>
        Date:   Thu May 6 09:36:42 2021 +0200
    
            Add more type hints and remove some Python2 compatibility stuff

commit 9efec48c10ae6720490f30407a5e0d4ede5f5953
Author: Julien Humbert <julroy67@gmail.com>
Date:   Sun May 16 21:28:38 2021 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Julien Humbert <julroy67@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    Translation: ibus-table/app

commit 407cb1520e65123361b69cc0f7297a643d0649f1
Author: Anonymous <noreply@weblate.org>
Date:   Sun May 9 10:02:14 2021 +0200

    Translated using Weblate (Catalan)
    
    Currently translated at 90.5% (125 of 138 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translation: ibus-table/app

commit 9807b49739c03fa308227500bfb6ff3f3935a14f
Author: Weblate <noreply@weblate.org>
Date:   Sat May 8 09:44:22 2021 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 5515afbef8d3a7360700a04ebaf35a18d6caff76
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 19:50:34 2021 +0200

    Release 1.13.0

commit a4f666a1615d74ff483e72dbe3dae3d1d10b0d5a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 6 12:07:21 2021 +0200

    Update ibus-table.pot (Only line numbers changed)

commit a602611304f381228a9ae18236670f30cf4c7743
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 6 12:03:47 2021 +0200

    Add test case for the immediate switch between table and pinyin mode

commit bc5bfdb63253389ac298c7bf49df9625725fca26
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 6 11:35:59 2021 +0200

    Make switch to pinyin mode also happen immediately even when the preedit is not empty
    
    That is better for consistency.

commit b89d1fd6a72a90b2b6575a59afa1d48ab8e10480
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 6 11:04:35 2021 +0200

    Add test case for “Commit English input and then switch into direct mode”
    
    When toggle to direct mode from table mode, if the preedit is not
    empty, commit the English input first. Then switch to direct input
    mode.
    
    Related: https://github.com/kaio/ibus-table/issues/68

commit 221acc4a876d4590cef677571f328bca819ced51
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 6 09:36:42 2021 +0200

    Add more type hints and remove some Python2 compatibility stuff

commit 9f7742183b3630f23c49baf9bcfc54a966532203
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 5 23:43:58 2021 +0200

    Make rolling the mouse wheel in the candidate area of the lookup table work

commit 0744db76aab12ca5fe400326a5e8a0326b4d86f6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 5 14:34:00 2021 +0200

    Add more type hints

commit 4ad5e60336662439c5b4285d525589e2108a5d2d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 5 13:56:23 2021 +0200

    Use the same color_string_to_argb() function as in ibus-typing-booster

commit e1cf7331fbafe1b378b78d6f92ec4cf9b0c5493c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 19 08:50:29 2021 +0200

    Add some type hints

commit 15ed3ecb80200c2404075a67c47f86e9e377391c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 19 08:37:56 2021 +0200

    Add wrapper script for mypy to check type hints

commit b0392d0540dcc0465778513337f4744b39d9fcd9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 5 13:15:29 2021 +0200

    Move the writing of the XML into a function in main.py

commit 9a662d751ec4c7c7996db9b4f4a72c508cde4586
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 19 08:58:34 2021 +0200

    Remove Python2 compatibility stuff
    
    ibus-table doesn’t work with Python2 for a long time already

commit 27030927c388210e464d4f4dbfecd5343bfaf498
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 19:06:06 2021 +0200

    Improve readability by spelling out keyword option

commit 0546f70e026f49dd0bef3a6ee5e96947c399cf5e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 19:05:36 2021 +0200

    Improve function documentation

commit 084488197e4b36db6da28f46c802041c21a2eae1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 18:11:37 2021 +0200

    Fix a typo in a comment

commit 56636c1f1421bbf2673f46d17ad414fb873c9514
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 10:10:48 2021 +0200

    Fix typo in comment

commit a0aa3646d82f96be1a0b8750d4e5713456dc78c2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 20:53:46 2021 +0200

    Adapt the test case to the new default keybinding for commit_to_preedit
    
    Adapting this test case is also necessary because Shift_L now commits
    English input and then switches to direct mode.
    
    Related: https://github.com/kaio/ibus-table/issues/68

commit 0574308f10e6c7b9a3e9e0a79ed69e24bfe3b127
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 20:01:07 2021 +0200

    Change the default keybinding for commit_to_preedit to ['Control+Shift_L', 'Control+Shift_R']
    
    Related: https://github.com/kaio/ibus-table/issues/68
    
    The previous default had a conflict with toggle_input_mode_on_off
    and toggle_pinyin_mode:
    
        commit_to_preedit               ['Shift_R', 'Shift_L']
        toogle_input_mode_on_off        ['Shift_L']
        toggle_pinyin_mode              ['Shift_R']
    
    This conflict didn’t matter as the toggling of the modes was only done
    when the preedit was empty and commit_to_preedit can only be done
    when the preedit is not empty. So there was no real conflict in practice.
    But now when toggle_input_mode_on_off is also done when the preedit is
    not empty to fix https://github.com/kaio/ibus-table/issues/68, then
    it is not possible to use the same keybindings for these commands.
    
    commit_to_preedit is probably used much more rarely than toggling the
    input or the pinyin modes. So it is probably better to leave the
    default keybindinds for toggling the input and pinyin modes as they
    always were and change the default keybinding of commit_to_preedit.

commit c17fecf3ee072bdb42a07867a7ad5fbe59bb64cc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 19:04:13 2021 +0200

    Add “darktheme” option to org.freedesktop.ibus.engine.table.gschema.xml
    
    Resolves: https://github.com/kaio/ibus-table/issues/67

commit 23a6fd60be7374ad94728ca875902bc209e284c0
Author: mozbugbox <mozbugbox@yahoo.com.au>
Date:   Sat Mar 27 14:50:16 2021 +0800

    Show all the tabkeys when using wildcards
    
    When wildcards were used, most likely the user would like to learn
    the exact tabkeys.

commit 89eff501a06df712ae0166fc973752277ce6bd8a
Author: mozbugbox <mozbugbox@yahoo.com.au>
Date:   Sat Mar 27 10:40:51 2021 +0800

    Add use dark theme option to the setup applet
    
    Related: https://github.com/kaio/ibus-table/issues/67

commit 915429f1be890ce166267c95086ff3c621e3bb3a
Author: mozbugbox <mozbugbox@yahoo.com.au>
Date:   Sat Mar 27 09:33:11 2021 +0800

    Group color scheme into theme and dark theme
    
    The foreground colors should be different between normal light theme
    and dark theme.
    
    Related: https://github.com/kaio/ibus-table/issues/67

commit 36e83774df11c8b995b4500df15c60e6ffd922e7
Author: mozbugbox <mozbugbox@yahoo.com.au>
Date:   Fri Mar 26 22:57:07 2021 +0800

    Apply a couple modes immediately when changed
    
    When change mode for Chinese_mode or onechar_mode, if the input is
    not empty, update the candidates with the new mode setting.

commit 3cd370115104e627123e642aa4d43a0a850e5e11
Author: mozbugbox <mozbugbox@yahoo.com.au>
Date:   Fri Mar 26 22:53:09 2021 +0800

    Commit English input and then switch into direct mode
    
    When toggle to direct mode from table mode, if the preedit is not
    empty, commit the English input first. Then switch to direct input
    mode
    
    Resolves: https://github.com/kaio/ibus-table/issues/68

commit 6e9d0ee4359c682b0b6f2a7f868745af520a456e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 09:54:56 2021 +0200

    Clarify comment about the order of handling the hotkeys
    
    The keybindings treeview is sortable now, but the default is
    alphabetic order of the commands.
    
    The order of handling the shortcuts is also in alphabetic order of the
    commands.

commit 9e91318040a50c2a9709d88b4678962191c4d22f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 6 16:16:45 2021 +0200

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translation: ibus-table/app

commit 666fb9800db5de57396d4978b29399a4feebe69a
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Wed May 5 11:12:45 2021 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Oğuz Ersen <oguzersen@protonmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit dc48c3b5fc8d81fa8f46240554abf33cab4a791e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 20:33:30 2021 +0200

    Translated using Weblate (Japanese)
    
    Currently translated at 33.3% (46 of 138 strings)
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Mike FABIAN <mfabian@redhat.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    Translation: ibus-table/app

commit afad554f9a6e85b79ba1adc37a26aa414d13e437
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue May 4 20:20:13 2021 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (138 of 138 strings)
    
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/
    Translation: ibus-table/app

commit 19f342ef329b7967d0a31fc18a9aa90c030a6865
Author: Weblate <noreply@weblate.org>
Date:   Tue May 4 20:20:12 2021 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translation: ibus-table/app

commit 1278ce6bd18e395349448dc7c14fce79bf094096
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue May 4 20:10:59 2021 +0200

    Update ibus-table.pot, two new messages
    
    The two new messages are for the dark theme mode which will become
    available in the next release.

commit f4a027ebc4f094ba8912b003cec053d7996bbe57
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 19 08:33:21 2021 +0200

    Release 1.12.6

commit c09f1fd4caf202e5250538ff830633ed321415d7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon May 3 09:17:57 2021 +0200

    Update ibus-table.pot (Only line numbers changed)

commit 7a090b62d8661c9b7debd0385a54c59ccf598a3d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon May 3 08:52:13 2021 +0200

    In main.py “import factory” only when the --xml option is not used
    
    “import factory” is only needed in IMApp and not when using “python3
    main.py --xml”.  And importing factory imports other stuff which
    imports Gtk and that needs a display. By moving to import of factory
    to where it is really needed it becomes possible to use the --xml option
    in an environment where there is no display without getting an error
    message like this:
    
       $ env -u DISPLAY python3 main.py --xml
       Unable to init server: Could not connect: Connection refused
    
    The --xml option is used by “ibus write-cache” which is used during
    rpm updates and then there is often no display and the above error
    message appears.
    
    Resolves: rhbz#1955283
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1955283

commit da2548663d77fce75c22ffea8fc24d22e52e4cf9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 19 08:26:57 2021 +0200

    Make the keybindings treeview sortable by clicking the column headers

commit 3d9a20562d0c5ad9efeefb90b14e578e5e3ac478
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Mar 10 17:27:02 2021 +0100

    Remove deprecated bind_textdomain_codeset(DOMAINNAME, "UTF-8")
    
    https://docs.python.org/3.8/library/gettext.html
    
    says: “Deprecated since version 3.8, will be removed in version 3.10.”

commit 60430f9d7177444dd2a646a602f628e0d8184ad8
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Mon Mar 8 03:01:47 2021 +0100

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Co-authored-by: Rafael Fontenelle <rafaelff@gnome.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translation: ibus-table/app

commit f54dde19af97817780c478907eee502c3476c593
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Mar 4 21:19:01 2021 +0100

    Release 1.12.5

commit 3a7248b1b59903e68b10cc3a457c58e8e0ba9cd1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Mar 4 21:07:18 2021 +0100

    Return False in _execute_command_commit_candidate_number(self, number) if number out of range
    
    Was reported as an issue in ibus-table-others with the ipa-x-sampa table.
    But it is actually and ibus-table bug.
    
    When using a keybinding to commit a candidate with a certain number,
    ibus-table crashed when the number was out of range of the currently
    displayed lookup table.
    
    Resolves: https://github.com/moebiuscurve/ibus-table-others/issues/21

commit b633b8c3eb9c3462bfd662677d52e6352c03be9a
Author: Anonymous <noreply@weblate.org>
Date:   Fri Mar 5 17:50:43 2021 +0100

    Translated using Weblate (Sinhala)
    
    Currently translated at 4.4% (6 of 136 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/si/
    Translation: ibus-table/app

commit 6954a3290176461094a805a31cb707248bdfcbcd
Author: Hela Basa <r45xveza@pm.me>
Date:   Wed Mar 3 22:12:19 2021 +0100

    Added translation using Weblate (Sinhala)
    
    Co-authored-by: Hela Basa <r45xveza@pm.me>

commit f41791d752a7a398b57f88e07bb2871ae533ca1c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 2 11:42:49 2021 +0100

    Use “from unittest import mock” instead of just “import mock”.
    
    Since Python 3.3, mock is part of unittest in the standard
    library. The third-party `mock` library is a backport for older Python
    versions.
    
    This makes it possible to remove the “BuildRequires:  python3-mock”
    from the ibus-table.spec file.

commit 0d542da882839de677a892530b19f459be1c1176
Author: Anonymous <noreply@weblate.org>
Date:   Wed Jan 27 14:40:04 2021 +0100

    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 66.9% (91 of 136 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit 54a0f6fc8f05f322892cd78e219f6f0ae1eca618
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jan 24 19:09:29 2021 +0100

    Release 1.12.4

commit 84e30e1f3af4e1b86ebee652e440c53b53a222cc
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   Fri Jan 22 09:36:59 2021 +0100

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Co-authored-by: Dingzhong Chen <wsxy162@gmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translation: ibus-table/app

commit 23965bb4e0acbb1b2b18c154a6561070670266c3
Author: Anonymous <noreply@weblate.org>
Date:   Fri Jan 22 09:36:59 2021 +0100

    Translated using Weblate (Persian)
    
    Currently translated at 11.7% (16 of 136 strings)
    
    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 70.5% (96 of 136 strings)
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 92.6% (126 of 136 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 96.3% (131 of 136 strings)
    
    Translated using Weblate (Czech)
    
    Currently translated at 38.2% (52 of 136 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Co-authored-by: Weblate <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fa/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translation: ibus-table/app

commit f7aa4f992fd1bc26a98bdc312fc05be62d3db673
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 6 13:36:43 2021 +0100

    Release 1.12.3

commit 06d69f910604b3a593874dc8d046732e269295dd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 4 16:02:21 2021 +0100

    Pass the key for the command 'cancel' (default Esc) through if the preedit is empty
    
    Resolves: https://github.com/kaio/ibus-table/issues/64

commit 96a56b913a3b7f6a42d3cdc30522fc83c8407c4b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 4 08:36:22 2021 +0100

    Release 1.12.2

commit 637a7ee7d2f590013d9a2006ea479c2eb7a90a83
Author: Anonymous <noreply@weblate.org>
Date:   Wed Dec 30 14:36:02 2020 +0100

    Translated using Weblate (Persian)
    
    Currently translated at 11.0% (15 of 136 strings)
    
    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 83.8% (114 of 136 strings)
    
    Translated using Weblate (Chinese (Traditional) (zh_TW))
    
    Currently translated at 66.1% (90 of 136 strings)
    
    Translated using Weblate (Chinese (Hong Kong) (zh_HK))
    
    Currently translated at 14.7% (20 of 136 strings)
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 69.8% (95 of 136 strings)
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 91.9% (125 of 136 strings)
    
    Translated using Weblate (Japanese)
    
    Currently translated at 33.8% (46 of 136 strings)
    
    Translated using Weblate (Spanish)
    
    Currently translated at 94.8% (129 of 136 strings)
    
    Translated using Weblate (Czech)
    
    Currently translated at 36.0% (49 of 136 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fa/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_HK/
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    Translation: ibus-table/app

commit b6ddf758988d0c65567efa93582569a3b9608e29
Author: Anonymous <noreply@weblate.org>
Date:   Tue Oct 13 12:28:10 2020 +0200

    Translated using Weblate (Catalan)
    
    Currently translated at 91.1% (124 of 136 strings)
    
    Co-authored-by: Anonymous <noreply@weblate.org>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    Translation: ibus-table/app

commit 7b5a0c9f1e49740bf6c0b9227aa5ba9c4342a33d
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Fri Sep 18 19:29:22 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Co-authored-by: Oğuz Ersen <oguzersen@protonmail.com>
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    Translation: ibus-table/app

commit 3b199801e8051034c1d1a0f5ffc317793f40478f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 27 09:49:46 2020 +0200

    Release 1.12.1

commit 2ba14131533a902b306730c56ada717fe3d8e992
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Sep 3 11:57:00 2020 +0200

    Code cleanup in the handling of hotkeys

commit 73e11e01028e51899d4b556e47c6f9f38c9ee093
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Sep 3 13:45:46 2020 +0200

    Work around timing problem updating gsettings in test_it.py

commit 3721b7d0847c676373a621999682233e284266f4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 2 11:05:47 2020 +0200

    Enable compose support

commit 3f72398c89f4b501cd13abe65b08a3f5a95039d4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 31 16:15:11 2020 +0200

    Move key event debug log entry

commit c3b4e6cb0ad37564147dcbd40feb34644248cb2c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 30 15:04:12 2020 +0200

    Add some more comments for translators

commit 4da208705f77e8843210485c9a40bf4bdb10a3dd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 30 14:35:48 2020 +0200

    Add buttons to move key bindings for a command up or down
    
    The order of key bindings for a certain command may matter a bit in some cases.
    
    For example, currently the first key binding for the command
    “commit_candidate_<number>” is used to label the candidate
    with that number in the lookup table.

commit 82d373647197e2ba551a9426970e73e61c1fc63a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 30 12:53:53 2020 +0200

    Fix the code which resolves conflicts between SELECT_KEYS and VALID_INPUT_CHARS

commit 58b6a224274bb6bf310c841d7df997c85d8fd5d3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 30 12:43:19 2020 +0200

    Remove obsolete comment
    
    This comment is obsolete because the configurable key bindings.  A
    similar comment is now in it_util.py above the code which replaces
    SELECT_KEYS = 1,2,3,4,5,6,7,8,9,0 found in a table where the digits
    are also valid input with SELECT_KEYS =
    F1,F2,F3,F4,F5,F6,F7,F8,F9,F10.

commit ee82ecd6692df27457e39d1afdaef767fb780a08
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 27 17:58:54 2020 +0200

    Improve a Translators: comment

commit de5e3096e527cd060406166fee7589ec21299fd2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 27 12:33:24 2020 +0200

    Make translations of 'Edit key bindings for command “%s”' work

commit 0a99e79c991b6dc719545da85fb2fdb26d8bd225
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 18:09:56 2020 +0200

    Rewrite on_gsettings_value_changed() in table.py

commit 51fcd35f3d96f4bf7bd76052232dfd902674bda4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 23:34:15 2020 +0200

    Fix some pylint warnings

commit 6e1ebe86a4a9d991b55686c11c2eca8c64594f7f
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:   Thu Sep 3 07:07:12 2020 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/

commit 2fa11bbc93c050ee7e7468b3b15d057d023fb7a9
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Wed Sep 2 12:12:53 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit 5dda845db4c2fef30ef1e5f8bd61f6130e1ae026
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Wed Sep 2 11:34:16 2020 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/

commit e48f132af2496ac74beea41a4b83890ad38e016b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 2 11:22:03 2020 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/

commit 22f93c217715a546c92ccb3e0cfc0c2a70c204bf
Author: Weblate <noreply@weblate.org>
Date:   Wed Sep 2 11:22:03 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit fd1fc0ddeade9c4b3723b1c93cfd29fd28762d21
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 2 11:13:23 2020 +0200

    Update ibus-table.pot

commit 1b91dc6e406c046c69ec55137bae8ecf8383e06c
Author: Anonymous <noreply@weblate.org>
Date:   Tue Sep 1 12:28:11 2020 +0200

    Translated using Weblate (Catalan)
    
    Currently translated at 91.7% (123 of 134 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/

commit 27501441c8c61c01c3ef8d562634db97144507fb
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Thu Aug 27 17:53:20 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (134 of 134 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit c0e8466b8c90edbc250189c1e9b0ac602cdbfbf5
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Thu Aug 27 09:43:15 2020 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (134 of 134 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/

commit 64803a30a127a5dfcf911d44c69304c88c7b3f15
Author: Julien Humbert <julroy67@gmail.com>
Date:   Thu Aug 27 09:43:15 2020 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (134 of 134 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/

commit 2b5485a590d4236fbcca9ddfb34c52c8b6b859b8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 27 09:43:14 2020 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (134 of 134 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/

commit 1b7abb048d7a1521f5af680b577a480ba761ed86
Author: Weblate <noreply@weblate.org>
Date:   Thu Aug 27 09:43:14 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit 5413469f9f06a55ef06bb1f3c9da4cd5f64b7ac3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 27 00:15:33 2020 +0200

    Update ibus-table.pot (New translatable strings from it_util.py)

commit c65614a875bcc968386807c9b9a7bfa3efae447d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 27 00:12:38 2020 +0200

    Add engine/it_util to POTFILES (The about and the key input dialogs are there)

commit 4b395bb645961220aabacbb70a31be04fe15482e
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Wed Aug 26 23:07:48 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (127 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit f7f4089d22cc5c6ede22124a7d5dbf1e711e5963
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 00:31:39 2020 +0200

    Release 1.12.0

commit 9239878729427a7e6672ba471123235f8601b6a5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 12:29:50 2020 +0200

    Put exact (except tone) pinyin matches next after exact matches in the candidate list
    
    Resolves: https://github.com/kaio/ibus-table/issues/63

commit cfc1ca83aa64e3e995709e18d304295da64dd7f3
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Wed Aug 26 10:24:44 2020 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (127 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/

commit 53e4382017d8626c7676968d43ffcf8ccb59f5c6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 10:24:43 2020 +0200

    Translated using Weblate (Japanese)
    
    Currently translated at 31.4% (40 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    
    Translated using Weblate (French)
    
    Currently translated at 97.6% (124 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/

commit bd532cb1b36b52047b50bfaf847052ea3892d929
Author: Anonymous <noreply@weblate.org>
Date:   Wed Aug 26 10:24:43 2020 +0200

    Translated using Weblate (Persian)
    
    Currently translated at 10.2% (13 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fa/
    
    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 86.6% (110 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    
    Translated using Weblate (Turkish)
    
    Currently translated at 97.6% (124 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/
    
    Translated using Weblate (Chinese (Traditional))
    
    Currently translated at 67.7% (86 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    
    Translated using Weblate (Chinese (Hong Kong))
    
    Currently translated at 11.0% (14 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_HK/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 65.3% (83 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 93.7% (119 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/
    
    Translated using Weblate (Spanish)
    
    Currently translated at 97.6% (124 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    
    Translated using Weblate (Czech)
    
    Currently translated at 36.2% (46 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    
    Translated using Weblate (Catalan)
    
    Currently translated at 92.1% (117 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/
    
    Translated using Weblate (French)
    
    Currently translated at 97.6% (124 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/
    
    Translated using Weblate (Japanese)
    
    Currently translated at 31.4% (40 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/

commit 0b4272cec4744c6879be81ad2990e4e2368e78ea
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 02:10:18 2020 +0200

    Translated using Weblate (Japanese)
    
    Currently translated at 29.1% (37 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (127 of 127 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/

commit ed42e3d209e80b837b2882de4c32cd4c81c4a1d3
Author: Weblate <noreply@weblate.org>
Date:   Wed Aug 26 02:10:17 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit 500b8cfdaf8ce5c1e637c72811808a635d3a7c58
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 26 00:19:51 2020 +0200

    Update ibus-table.pot

commit 7c94515e64421c139901aa22887399587bcec31e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 25 22:47:01 2020 +0200

    Use new 'debuglevel' option

commit 29bfe8a88d2ef56bc99f51d2bbae813cb470a5e1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 25 18:41:09 2020 +0200

    Sync new default keybinding handling from the setup tool to table.py

commit f4c57c2c1bc46dd4d5d25a5d60c59f3df304c791
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 25 19:01:21 2020 +0200

    Remove unused function select_key(self, keycode)

commit 85a8e5f72b7c3dffe77f4dd76dbec64ebe70d13c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 25 16:25:42 2020 +0200

    Remove “spacekeybehavior” option
    
    Now all keybindings are configurable. Therefore, the option to choose
    the behaviour of the space key makes no sense anymore.
    
    In the setup tool, there is now a new tab to configure all the keybindings,
    one can configure the behaviour of the space key there as well.

commit 23db98cec23069d3ebd2f3b217dd51e6bbaa4722
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 19 15:12:19 2020 +0200

    New setup tool, now keybindings can be configured with a GUI
    
    Resolves: https://github.com/kaio/ibus-table/issues/57
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1133127

commit 1b7f00a39802fe2c4a87b337f8913b7f8162ecb8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 24 09:40:17 2020 +0200

    Use deep copy in set_keybindings()

commit 4e48dfb25e06d70b2c0cbd8d7777a943e386f637
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Aug 22 02:50:26 2020 +0200

    Fix typo in old setup tool which mistakenly disabled the autocommit combobox for wubi-jidian86

commit b08006c8495f2d2c4849a385231d9e3ca88b45bc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 20 15:20:26 2020 +0200

    Allow lookup table orientation “System Default” in old setup tool

commit a3ffdbf1cfad29cd3b3c807ff1968add9e9f3ec8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 25 16:05:15 2020 +0200

    Use unit_test=True when instantiating Tabsqlitedb in test_0_gtk.py
    
    To avoid failing tests because of the cache.

commit d5b6fd7dd5bce1f28354b0b707b43b9591031b93
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 20 11:58:21 2020 +0200

    Remove redundant line

commit 06edda1ed8becf7e9215b1219830265b53835ba9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 18 19:22:38 2020 +0200

    Fix some pylint warnings

commit 8120e5fa3597a021d6a3b50f132dcbcae4501829
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 16 02:27:58 2020 +0200

    Release 1.11.0

commit 1c4966d076c8ed63a3f9754ab8a805ed2443a746
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Aug 16 02:31:58 2020 +0200

    Update ibus-table.pot (only line numbers changed)

commit 2c97c38301b762830cecf3996ad4c5b230b41164
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 12 11:09:57 2020 +0200

    Make key bindings configurable
    
    Only via the command line for the moment, not yet easy to do for
    normal users. I have to rewrite the setup tool eventually to make that
    possible.
    
    Resolves: https://github.com/ibus/ibus/issues/2241
    
    This rewrite of the handling of the key bindings also fixes the
    problem reported in https://github.com/ibus/ibus/issues/2241
    that the Shift_L key cannot switch between Chinese and English mode
    when using google-chrome.

commit 7e02ee75852218afa27dc0d6e6430a33b34f8e64
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 12 10:17:02 2020 +0200

    Move KeyEvent class to it_util.py to make it usable from the setup tool

commit 9309c393173289819330c79810d608cabd9b31a5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 6 16:00:03 2020 +0200

    Merge Editor class into TabEngine class
    
    It makes no sense to have an extra class “Editor” when TabEngine needs
    to access most internals of the Editor class all the time.

commit a30872906dd4a6661e2793d8288ee44b2e360aae
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 15 13:59:15 2020 +0200

    Release 1.10.1

commit 422fbed8f48d051f0bf82387f6100c6d1b1b3aa8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jul 17 11:37:12 2020 +0200

    Skip GUI test if wubi-jidian86 table is not installed

commit 23c55adc85cb2b445eeb6e92310301874d31774e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 16 09:03:27 2020 +0200

    Add *.log and *.trs to tests/.gitignore

commit b0a49bee0e50edaa5d1b80e5a9c72301671d219d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 15 13:56:25 2020 +0200

    Fix warnings and errors in ibus-table.appdata.xml

commit 07ee590b63392b96498901e40c04521ac3fb491c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 15 18:17:19 2020 +0200

    Before set_up() returns False it needs to call tear_down()
    
    This is necessary to call the stop() functions of the patchers.
    
    Because if setUp() of a test case decides to skip, tearDown() is
    apparently not called.

commit 88d29d203c310928719c66a52262a2fb98c5b2dd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 13 20:41:35 2020 +0200

    Better way to patch the IBus stuff with the mock classes in the unit tests

commit d4d0fba272581686139438cbe7d08c7df0b19ca9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 7 20:11:24 2020 +0200

    Add a GTK test for CI

commit 767809be71b3bc58e068b98ed7f4d77ffaf79f3c
Author: Weblate <noreply@weblate.org>
Date:   Sat Jul 11 17:27:42 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit 91b7c8621da06e9327d2f330d53e0b81b208c8d2
Author: Boyuan Yang <073plan@gmail.com>
Date:   Sat Jul 11 17:27:42 2020 +0200

    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 76.7% (89 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/

commit 4b50f8fc926c335d66693abaffd9045471965f5f
Author: Boyuan Yang <byang@debian.org>
Date:   Mon Feb 17 16:23:14 2020 -0500

    Make output of ibus-table-createdb deterministic
    
    With this patch, the output of ibus-table-createdb would be of determined order as proposed by the Reproducible Builds project (https://reproducible-builds.org/).
    
    Downstream Debian bug report can be found at https://bugs.debian.org/797521 .
    
    Even though python's dict has become ordered since Python 3.6+, a `sorted()` function would be harmless and benefit users of Python 3.5, like users of Debian 9.

commit dad98d15fab198f621ceb247eb885a893c1c4940
Author: Côme Borsoi <fedora@borsoi.fr>
Date:   Fri Jul 10 04:27:40 2020 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/

commit 853ac39817e49a661fc8d4a6e2b726cfa1bfedbf
Author: Weblate <noreply@weblate.org>
Date:   Fri Jul 10 04:27:39 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/
    
    Translated using Weblate (Persian)
    
    Currently translated at 6.8% (8 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fa/
    
    Translated using Weblate (Chinese (Traditional))
    
    Currently translated at 75.8% (88 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_TW/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 62.0% (72 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/zh_CN/
    
    Translated using Weblate (Japanese)
    
    Currently translated at 21.5% (25 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ja/
    
    Translated using Weblate (Czech)
    
    Currently translated at 19.8% (23 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/cs/
    
    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit efbe7099e192411f5b5c61572a33d17d7747a9c6
Author: Weblate <noreply@weblate.org>
Date:   Tue Jul 7 23:27:42 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit 7ae75294368fd2c037e62dc8d12271b48b0f5c41
Author: Côme Borsoi <fedora@borsoi.fr>
Date:   Tue Jul 7 23:27:39 2020 +0200

    Translated using Weblate (French)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/

commit 82c22dafbd2dd113d229eeb3e8fa5706b735d59b
Author: Weblate <noreply@weblate.org>
Date:   Mon Jul 6 08:56:21 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit a402ab611153a43a1053acd2eb6beb286b720581
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Mon Jul 6 08:56:21 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit 5d3179a2100d6a2b2bb0838cb0b841eb18a916e1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Feb 17 16:25:03 2020 +0100

    Release 1.10.0

commit 4e01c63cf3cadc8d3098cbf2f827975606b67973
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 1 17:55:52 2020 +0200

    Update ibus-table.pot (only line numbers changed)

commit 6bc4cf33f6e6f5461217a3a211b2ec26d163a6e1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 2 13:23:51 2020 +0200

    Fix a few pylint warnings

commit e354bcdfb5fd7339cd9bb252169aa4ee9cb681d9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Feb 24 07:38:30 2020 +0100

    Restructure input mode, pinyin mode, suggestion mode

commit e35a4fe5f64da55300c4966f2994f4d95d0f4e1a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 1 17:01:39 2020 +0200

    Fix problems with property menus
    
    Property menus were behaving strangely sometimes.  For example, when
    choosing pinyin mode in the property menu, then moving the focus to a
    client window and typing in pinyin, then opening the pinyin property
    menu again, it showed table mode, not pinyin mode. Although the real
    mode was pinyin mode.
    
    Fix the property menu handling by making the code as similar as
    possible with the property menu handling in ibus-typing-booster. The
    property menu handling code in ibus-typing-booster code has several
    bugs fixed, and it is easier to maintain.

commit a913869f02c7fd0b26ad2ea2e86e33bc4f74da83
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 30 18:12:43 2020 +0200

    Skip test cases for engines when the database for that engine is not installed

commit 0a2d3122f4c1b6f99d3b1b23f490c28215c1c2f8
Author: Manuela Silva <mmsrs@sky.com>
Date:   Fri May 22 12:40:27 2020 +0200

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit a2dfc6dc6d58156fab521f0e6823ff53ff8c7530
Author: Manuela Silva <mmsrs@sky.com>
Date:   Wed May 13 15:40:24 2020 +0200

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit c7e0443ef01da13751d964906ca5b5c9b4d09526
Author: Manuela Silva <mmsrs@sky.com>
Date:   Wed May 6 12:40:21 2020 +0200

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 97.4% (113 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit 3d11c5417722aab89d89fd605c5b2aee173eda5a
Author: Adolfo Jayme Barrientos <fitoschido@gmail.com>
Date:   Sun Apr 26 05:40:18 2020 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/es/
    
    Translated using Weblate (Catalan)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/ca/

commit da68840058cf742a4e5059a9bcc06edeec3994f7
Author: Adolfo Ketzer <reztek@gmail.com>
Date:   Sun Apr 26 05:40:18 2020 +0200

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 95.6% (111 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_BR/

commit 35f6fae24286a644fdd1b7ac65edc56e0aa0256f
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Thu Apr 16 20:40:17 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit 001c42254e3df3b05790d0b8ac447b0a9a45b6a3
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Mon Apr 13 08:29:51 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit e1a899e866940cdb088ed895de1c0509bbb4fd33
Author: Manuela Silva <mmsrs@sky.com>
Date:   Wed Apr 8 09:54:08 2020 +0200

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 94.8% (110 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit bb59a830bc923dd898c6c55146b0161f45cad3f7
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Wed Apr 8 09:54:07 2020 +0200

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit fb5b66fc2ceb1e738a761d5af836b1ab5b82e577
Author: Manuela Silva <mmsrs@sky.com>
Date:   Sun Mar 1 16:38:21 2020 +0100

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 93.9% (109 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/
    
    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 91.3% (106 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit eeafea1f484720135bf817df7b74caeaf7ad971e
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Sun Feb 23 18:38:19 2020 +0100

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit 30160d08b801ee3d702db3105dbb316aee638728
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sun Feb 23 18:38:19 2020 +0100

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/uk/

commit fccb68f8b31ba9eb154096f89f7da6f4fb305ea8
Author: Julien Humbert <julroy67@gmail.com>
Date:   Sun Feb 23 18:38:19 2020 +0100

    Translated using Weblate (French)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/fr/

commit e4a572b0b404c6735259a28a9c10d0cf5da2f546
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Feb 20 12:34:30 2020 +0100

    Translated using Weblate (German)
    
    Currently translated at 100.0% (116 of 116 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/de/

commit bdafd4190826460fed4f5c9e3f53e65ed2af6315
Author: Weblate <noreply@weblate.org>
Date:   Thu Feb 20 12:34:30 2020 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/

commit fc70d558e0526a28aa464c2c164c8f84ee88fc60
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Feb 17 16:52:55 2020 +0100

    Update ibus-table.pot, new translatable strings for new “Suggestion mode”

commit 270939a8b989e9d84570adbcc9f295c9c9ba9c88
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Feb 19 14:39:27 2020 +0100

    Fix typo in comment

commit b42ddd39c4e82164fad9f75e9df382811e728d68
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 15:38:46 2020 +0100

    Fix some pylint warnings

commit 8786c6f98457bc1496bce1170c011d9d116f3d92
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 14:15:39 2020 +0100

    Use “Suggestion mode” instead of “Legend mode” in translatable strings

commit 0df767cb026dc25d6e8823815500fb505fde2d06
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 15:07:16 2020 +0100

    Use LOGGER.exeption() in exception handlers

commit 47e8f3e5e4b8e6d7ecdcbc25b46e893ea527eb0c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Feb 18 10:07:45 2020 +0100

    Use python logging module with log file rotation instead of writing to stdout/stderr

commit 607f6e626178993659b31263cfabdd6769b10dc4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Feb 17 18:25:07 2020 +0100

    Add test cases for suggestion mode

commit f66bfe4fda7dddffd3ca1bbfbf9af552a78533f6
Author: Peng Wu <alexepico@gmail.com>
Date:   Wed Jan 22 13:42:23 2020 +0800

    fixes pinyin mode

commit 60d2f37337a415374ef841a273c22abfa17c1585
Author: Peng Wu <alexepico@gmail.com>
Date:   Mon Oct 21 14:08:45 2019 +0800

    fixes suggestion mode menu item

commit 1472c26c150aa7614dd8e6da8f9e93d524ff9b85
Author: Peng Wu <alexepico@gmail.com>
Date:   Tue Sep 17 11:19:57 2019 +0800

    fixes tabcreatedb.py

commit f5be00f407a62aa46069f6e99d9930c21c8462e2
Author: Peng Wu <alexepico@gmail.com>
Date:   Mon Sep 9 14:24:57 2019 +0800

    fixes python compile

commit 800d5c684526273b174b119bc7587d06bd312772
Author: Peng Wu <alexepico@gmail.com>
Date:   Fri Sep 6 15:37:59 2019 +0800

    re-factor class TabEngine in progress

commit 45dd34eaf2ecd3d21bde377c592e7d5a59d62afe
Author: Peng Wu <alexepico@gmail.com>
Date:   Fri Sep 6 13:23:46 2019 +0800

    start to re-factor class TabEngine

commit e9dafcead4c692863ab48fd7551cb2bc6e6e56d9
Author: Peng Wu <alexepico@gmail.com>
Date:   Tue Sep 3 14:32:58 2019 +0800

    re-factor candidate methods

commit 6bad3d71d67a01f613fef16ce495788329068f48
Author: Peng Wu <alexepico@gmail.com>
Date:   Fri Aug 30 14:53:11 2019 +0800

    re-factor append_candidate_to_lookup_table method

commit c50c37461fe90d63f80f45728796c038e543aeba
Author: Peng Wu <alexepico@gmail.com>
Date:   Wed Jul 24 15:23:28 2019 +0800

    update tabcreatedb.py for suggestion candidates

commit d3f4a35b34f8110da067376863f83ecdc23cacf7
Author: Peng Wu <alexepico@gmail.com>
Date:   Tue Jul 23 16:14:23 2019 +0800

    update tabsqlitedb.py for suggestion candidates

commit 0883006072a9fe340c9325a7975e7596d3d308af
Author: Peng Wu <alexepico@gmail.com>
Date:   Mon Jul 22 17:18:06 2019 +0800

    update Makefile.am

commit 6df76a02d147b21c7bd1ce817253ec7d017779bc
Author: Peng Wu <alexepico@gmail.com>
Date:   Mon Jul 15 14:58:43 2019 +0800

    import phrase.txt.bz2

commit 6eeaa8cf35b452a5e8b43af84cb6a464f6e1e8eb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Feb 12 17:58:19 2020 +0100

    Release 1.9.25

commit a0f8dcce840b5abebb930312abd7a7ab012ce023
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Feb 14 11:59:12 2020 +0100

    Fix crash when changing some options using the menu or the floating panel
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/26
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1803028

commit 8a8decee675a7ef1f7679081537b2fffeb82fc08
Author: Anonymous <noreply@weblate.org>
Date:   Thu Jan 23 10:10:39 2020 +0100

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 81.1% (90 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit 02afce2a1542a27388db02f1dd8a4dc1362ad0eb
Author: Manuela Silva <mmsrs@sky.com>
Date:   Thu Jan 23 10:10:39 2020 +0100

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 81.1% (90 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit c0deea6da57110c69fe5537b79a0ac500bf60918
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jan 22 16:13:57 2020 +0100

    Release 1.9.24

commit 7c65cf1f090374518d1a475a163fb9871d460caa
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 7 17:37:39 2020 +0100

    Add new test cases for ibus-table-others-1.3.11
    
    New in ibus-table-others-1.3.11:
    
    - Extend russian translit for latin slavic layouts.
    - Add Vietnamese input methods Telex and VNI

commit 07efc1eb30ccb2e89f0532c99a4cc784a28d1d7e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 7 12:02:00 2020 +0100

    Add new test case for ibus-table-others-1.3.10
    
    Most of Unicode 9.0 block Mathematical Alphanumeric Symbols are added
    in the “latex” table of ibus-table-others-1.3.10.

commit 26d2b558fd23359539b7ed4a91e2e32bd765a1a1
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Wed Jan 22 09:07:20 2020 +0100

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-table/app/tr/

commit 3dbdf93ef5c2ce54f028ded2c77e032eb6d00238
Author: Julien Humbert <julroy67@gmail.com>
Date:   Sun Jan 19 02:47:54 2020 +0100

    Translated using Weblate (French)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fr/

commit fcc269353eff5ceb29b1a254b67b22dfab67985c
Author: Anonymous <noreply@weblate.org>
Date:   Sun Jan 19 02:47:54 2020 +0100

    Translated using Weblate (Persian)
    
    Currently translated at 2.7% (3 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fa/
    
    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 75.7% (84 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit accfc505af85967e2956f7d85f0c1e050486afd3
Author: Manuela Silva <mmsrs@sky.com>
Date:   Tue Jan 14 15:01:11 2020 +0100

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 74.8% (83 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit 6edd412964de7acecb0caa02fa6bff605b0cbee0
Author: Ahmad Haghighi <haghighi.ahmad@gmail.com>
Date:   Tue Jan 14 15:01:11 2020 +0100

    Added translation using Weblate (Persian)

commit dd596ebe51823b6e7804e739192ea08ec73e2821
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 7 13:47:56 2020 +0100

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/uk/
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/
    
    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/es/
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/de/
    
    Translated using Weblate (Catalan)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/ca/

commit 32c6515bbc6896736edec312e04136071090c4aa
Author: Anonymous <noreply@weblate.org>
Date:   Tue Jan 7 13:47:56 2020 +0100

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/tr/
    
    Translated using Weblate (French)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fr/
    
    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/

commit cb1bd986d01bfd9f65445b473013d1ed8ea3b18f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 7 13:39:16 2020 +0100

    Update ibus-table.pot for Rafael Fontenelle’s fixes

commit 038606649a82d3bdea57bd6ed1463be882dd566b
Author: Rafael Fontenelle <rffontenelle@users.noreply.github.com>
Date:   Fri Jan 3 14:44:35 2020 -0300

    preferences: minor word changes

commit 75b68ee00fd83f88d38a262de92cb2d947eb2982
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jan 7 12:47:23 2020 +0100

    Release 1.9.23

commit 42134fe0ffc6d7c170c11d183d9294113af5f70c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 6 19:39:04 2020 +0100

    Move MockEngine classes into a separate file and make test_itb.py runnable standalone
    
    Now one can directly run ./test_it.py
    
    Use TAPTestRunner() instead of TextTestRunner(), but only when tap.py
    is installed.

commit 7034f592314a79903c8ce5958de4deba2c13ae22
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 6 19:09:56 2020 +0100

    Add exist_ok=True in os.makedirs(path, exist_ok=True) to avoid failure due to race condition
    
    Resolves: rhbz#1786652 (https://bugzilla.redhat.com/show_bug.cgi?id=1786652)
    
    [abrt] ibus-table: makedirs(): os.py:221:makedirs:FileExistsError: [Errno 17] File exists: '/home/username/.local/share/ibus-table'

commit 73de2f7068382a49f0d20d97cbeb53008db32024
Author: Anonymous <noreply@weblate.org>
Date:   Tue Jan 7 11:01:34 2020 +0100

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 31.5% (35 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit b226cbf15bb0e3d700cf00d2230e784072472d6a
Author: Manuela Silva <mmsrs@sky.com>
Date:   Tue Jan 7 11:01:34 2020 +0100

    Translated using Weblate (Portuguese (Portugal))
    
    Currently translated at 31.5% (35 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_PT/

commit c1ceacbc756cf0303162748ebfdcdeb7292d471e
Author: Manuela Silva <mmsrs@sky.com>
Date:   Mon Jan 6 10:46:03 2020 +0100

    Added translation using Weblate (Portuguese (Portugal))

commit d108f8e905cfff946c23ea1dc4b9f7591aac8aca
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Mon Jan 6 10:46:02 2020 +0100

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 20.7% (23 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/

commit f6ba75fdf8136008059f23e37b6f071970aaecff
Author: Anonymous <noreply@weblate.org>
Date:   Sun Dec 29 19:49:34 2019 +0100

    Translated using Weblate (Chinese (Traditional))
    
    Currently translated at 75.7% (84 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/zh_TW/
    
    Translated using Weblate (Chinese (Hong Kong))
    
    Currently translated at 2.7% (3 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/zh_HK/
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 17.1% (19 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/
    
    Translated using Weblate (Japanese)
    
    Currently translated at 14.4% (16 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/ja/

commit 01ddabf7934f9cb5b2fe51120c2240dbadee2270
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:   Sun Dec 29 19:49:34 2019 +0100

    Translated using Weblate (French)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fr/

commit 592b6f0570bc7d10aa7e0f640d3f25c316fce312
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Dec 20 01:12:23 2019 +0100

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 16.2% (18 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/
    
    Translated using Weblate (Japanese)
    
    Currently translated at 13.5% (15 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/ja/
    
    Translated using Weblate (Czech)
    
    Currently translated at 17.1% (19 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/cs/

commit a6c0cab280166ed04a8ff6a3b2340a3dc38573d8
Author: Julien Humbert <julroy67@gmail.com>
Date:   Fri Dec 20 01:12:23 2019 +0100

    Translated using Weblate (French)
    
    Currently translated at 44.1% (49 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fr/

commit f55d99e9468f7a3d6921b7d2b6a6954ab285102a
Author: Anonymous <noreply@weblate.org>
Date:   Fri Dec 20 01:12:22 2019 +0100

    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 62.2% (69 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/zh_CN/
    
    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 16.2% (18 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/
    
    Translated using Weblate (Japanese)
    
    Currently translated at 13.5% (15 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/ja/
    
    Translated using Weblate (Czech)
    
    Currently translated at 17.1% (19 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/cs/

commit ee5568c05046d503706c99d468dfe8a842795e1c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:14:34 2019 +0000

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/tr/

commit 736eed327df3685c0c9d46b54403e1a40e53ece0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:11:13 2019 +0000

    Translated using Weblate (Chinese (Traditional))
    
    Currently translated at 74.8% (83 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/zh_TW/

commit e6b85022d4ccf05ffb213bed412b4c336aabcb15
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:14:50 2019 +0000

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/uk/

commit 2aaf51cc2fd057859709e1d9a8bdfb27df90204b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:14:15 2019 +0000

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/es/

commit 480f71eaf896172bb473b9722e20f48515bd583b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:13:56 2019 +0000

    Translated using Weblate (German)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/de/

commit d7cd71bee06b2eebbce6d2a3db2bbe0828eca0e9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:09:58 2019 +0000

    Translated using Weblate (Catalan)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/ca/

commit 984c90ebe5f8ed6e9665c1ba5534702f04b5f2aa
Author: Weblate <noreply@weblate.org>
Date:   Tue Dec 17 16:08:08 2019 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/

commit 190187fd5d92683609167844b234bcbc629ab302
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 16:06:17 2019 +0100

    Update ibus-table.pot for the spelling fix.

commit d0aa98c579d0f294a0a4535f6823c1d66e3e7060
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 15:29:58 2019 +0100

    Fix misspelled word "wildchard" in the UI
    
    Resolves: https://github.com/kaio/ibus-table/issues/56

commit e8c92afb81f28fb5f9557e71361c92e444cf7bba
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 14:21:16 2019 +0100

    Release  1.9.22

commit daac707c786cacf581409b76cdae6ee7e878b306
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:05:04 2019 +0000

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/uk/

commit 047d43a34c865ba1e42a8a8b38f7d5af5ce6392e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:06:08 2019 +0000

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 10.8% (12 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/pt_BR/

commit fd4d2a22e36d97c0b573c4a2fec835f0ae137821
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:06:41 2019 +0000

    Translated using Weblate (French)
    
    Currently translated at 43.2% (48 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fr/

commit 9f841218bfd311a198820d9a506a4fe97566db6f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:03:27 2019 +0000

    Translated using Weblate (Catalan)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/ca/

commit 03bf3d08fd6125d71229574256970cb8b4ecbdf0
Author: Weblate <noreply@weblate.org>
Date:   Tue Dec 17 13:59:44 2019 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/

commit bdb0f5c40ae96e1860515bd338b3bcb96714faa8
Author: Weblate <noreply@weblate.org>
Date:   Tue Dec 17 13:15:23 2019 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/

commit 5de30646940d8d44f6c41cc618864d4e034246c9
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Mon Dec 16 19:19:29 2019 +0000

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/tr/

commit cf277929579b32508bf6ed3022364bd4cf38adcf
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:55:11 2019 +0100

    Update ibus-table.pot

commit 4ff87711a36cba0a0334e8924ea8300fa2a6f999
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:54:38 2019 +0100

    Add -c option for xgettext to enable comments for translators

commit 6e3461ecee809a38a691bfa072f223927d1f7066
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Dec 17 13:42:14 2019 +0100

    Add some comments for translators

commit 5a451b4c2fdc7dbaad8ac2abc370deb9ed2e9214
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Dec 16 18:13:43 2019 +0000

    Translated using Weblate (German)
    
    Currently translated at 80.6% (112 of 139 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/de/

commit 761bcc7e7012a0fd816b11f486e2000c97c96c44
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Mon Dec 16 16:08:48 2019 +0000

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (111 of 111 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/tr/

commit 39cef443ccc631ad74089bf09d7e225d9ec1b284
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   Mon Dec 16 16:08:24 2019 +0000

    Added translation using Weblate (Turkish)

commit 39a60c8e57d7a7ff66d316bad0f2de4026fded12
Merge: 944a82d ae5aed3
Author: Mike FABIAN <maiku.fabian@gmail.com>
Date:   Mon Dec 16 07:58:34 2019 +0100

    Merge pull request #11 from weblate/weblate-ibus-table-app
    
    Update from Weblate

commit 944a82d6db05272db55cf44395501f6a0ac1eb11
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Dec 16 07:21:03 2019 +0100

    Add ibus-table.its and ibus-table.loc to avoid making the release descriptions and
     developer name in ibus-table.appdata.xml translatable
    
    Translating all the release notes would be too much for the
    translators, I think.
    
    So I added ibus-table.its and ibus-table.loc to ibus-table.
    Ibus-table’s ibus-table.its differs from the upstream
    /usr/share/gettext/its/metainfo.its like this:
    
        $ diff -u /usr/share/gettext/its/metainfo.its its/ibus-table.its
        --- /usr/share/gettext/its/metainfo.its 2019-06-16 22:33:05.000000000 +0200
        +++ its/ibus-table.its  2019-12-16 07:41:40.993341715 +0100
        @@ -5,9 +5,7 @@
           <its:translateRule selector="/component/name |
                                        /component/summary |
                                        /component/description |
        -                               /component/developer_name |
                                        /component/screenshots/screenshot/caption |
        -                               /component/releases/release/description |
                                        /component/agreement/agreement_section/name |
                                        /component/agreement/agreement_section/description"
                              translate="yes"/>
        @@ -15,4 +13,6 @@
                              translate="no"/>
           <its:translateRule selector="/component/developer_name[@translatable = 'no']"
                              translate="no"/>
        +  <its:translateRule selector="/component/releases/release/description[@translatable = 'no']"
        +                     translate="no"/>
         </its:rules>

commit ae5aed38706d69c0c74e3ede9d646d6472d312b0
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:   Sun Dec 15 15:14:17 2019 +0000

    Translated using Weblate (French)
    
    Currently translated at 42.9% (48 of 112 strings)
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/fr/

commit 46e4c89667425d379b49413e8bdd1f4cab7ede25
Author: Weblate <noreply@weblate.org>
Date:   Sun Dec 15 16:13:30 2019 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-table/app
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus-table/app/

commit 3cd5c2beef555ec676933a96916feaefc546cb43
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Dec 15 15:59:51 2019 +0100

    Add ibus-table.pot file to repo.

commit 7bf7a90d189364678a53aad1149246b5bff3a2e8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 31 18:16:58 2018 +0200

    Release 1.9.21

commit 255ba22360de30477b5e0a173dc4b2a9c65f9b1c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 28 23:37:36 2018 +0200

    Add missing tags to ibus-table-createdb.sgml
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/3

commit 13ccd7c78be2b572a222ca8e43cb277ed5e769de
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 10 16:24:32 2018 +0200

    Fix some pylint warnings

commit 0cb39acf1deefc6a4f0af2ff95faeee7934f5ca8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 7 00:29:18 2018 +0200

    Add a test case for chinese mode using the 'wubi-jidian86' table

commit 6c55a4670da78440db3fee92f875712d9219dade
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 7 00:28:54 2018 +0200

    Make some lines shorter

commit 43e900117801e7e6b52016dea0a6c54cf89874b6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 7 00:28:20 2018 +0200

    Some more debug messages and comments

commit 7caa4913f52edea16cac7226447dcd24a93dfc74
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 3 16:40:22 2018 +0200

    Add test cases for latex

commit 40913515c6f6be8751c58a4b46cadfdcfc13c73b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 3 12:11:16 2018 +0200

    Add test cases for ipa-x-sampa

commit 50fb9b9122eda743333e4b960137e0663a2d54a8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 3 10:29:13 2018 +0200

    Add test cases for cangjie5

commit f9195f877c5212fef0dfa446acb328c45ba5852b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 2 10:40:04 2018 +0200

    Migrate IBusConfig to GSettings
    
    IBus plans to deprecate IBusConfig and suggests to migrate to GSettings.
    https://groups.google.com/forum/#!topic/ibus-devel/Mu1IoFX-bKE
    
    The old settings are unfortunately lost, so one has to open the setup
    tool and recreate ones favourite settings.
    
    Fix some minor bugs while doing the migration:
    
    - Use 4 as the default Chinese mode, not -1. 4 means no special
      filtering and sorting at all, which is appropriate for non-Chinese
      tables as well.

commit d9cf5f14934ccc65255d04876bc3decac001f87a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Apr 26 10:23:10 2018 +0200

    Add a test suite

commit 672455cbc5cb54356b8b3924eeef9114471f4319
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 31 15:57:30 2018 +0200

    Do not read the dconf key lookuptableselectkeys
    
    There is no such option in the setup tool anyway, it makes no sense
    to read this from a dconf key if the setup tool doesn’t support it.
    
    The select keys come only from the table headers.

commit 75d89b595a85abf4dea3647cca0c3190ef6a00c8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 31 15:22:15 2018 +0200

    Add IBus.KEY_KP_Prior and IBus.KEY_KP_Next to the default page-up and page-down keys
    
    These have the same numerical value, so it is not really necessary to
    add them to self._page_up_keys and self._page_down_keys:
    
    src/ibuskeysyms.h:#define IBUS_KEY_KP_Prior 0xff9a
    src/ibuskeysyms.h:#define IBUS_KEY_KP_Page_Up 0xff9a
    src/ibuskeysyms.h:#define IBUS_KEY_KP_Next 0xff9b
    src/ibuskeysyms.h:#define IBUS_KEY_KP_Page_Down 0xff9b
    
    it is for clarity only.

commit 433923158c24bc6626399f3e5d02d3b8ebe27baa
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 31 15:12:33 2018 +0200

    More debug messages in _match_hotkey()

commit 675a537004926d74f53f9727de3c31ec9e1ccfc2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 31 08:19:22 2018 +0200

    Improve KeyEvent class to make debugging easier

commit 23d8cc8b742fbcdf6428a104e3d75c2ddffdcba2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 30 17:59:05 2018 +0200

    Add a debug message in select_words()

commit ffbefa829d697f2e7f96af8fc9be9ae258e7972c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 30 16:52:51 2018 +0200

    Fix wrong syntax in debug message

commit 396437c768d349e6c16678c5853fedaf47547bc3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 3 09:58:56 2018 +0200

    Release 1.9.20

commit 593f3cd7491d9dbd131f62b1b3d861940c299114
Author: Takao Fujiwara <tfujiwar@redhat.com>
Date:   Thu May 3 09:54:19 2018 +0200

    Draw InputMode text instead of icon into panel on non-Gnome desktops
    
    Resolves: https://github.com/mike-fabian/ibus-table/issues/6

commit e9a8ebaf2cca88bf7c2d9aa1ffb1c1ec847432c3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu May 3 09:46:21 2018 +0200

    Make it work with Python2 again

commit 1188651f58c5d0531ff85290584b45813250b24d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 08:51:57 2017 +0200

    Release 1.9.19

commit 8fc59050efc554d5e0cf1218a6be08eda539040f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 30 11:38:40 2018 +0200

    Add some debug code to see whether _phrases_cache is handled correctly
    
    It needs to be reset when changing the Chinese mode. And stuff committed
    to the user database needs to be removed.
    
    Can be tested using the SmartCangJie6 table (scj6.txt) because this table uses
    both
    
        USER_CAN_DEFINE_PHRASE = FALSE
    
    and
    
        DYNAMIC_ADJUST = FALSE
    
    so no tabkeys are ever removed individually from _phrases_cache but
    _phrases_cache is reset to empty when the Chinese mode is changed (or
    when other settings influencing the caching like onechar mode or
    wildcard characters are changed).

commit 8c791d35feeca7083babf23e4a0b5c4f10a1c205
Author: Heiher <r@hev.cc>
Date:   Fri Aug 4 11:18:05 2017 +0800

    Sync phrases cache from/to external storage.

commit a7c845185d561055f756971686c01c90ab0bc337
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 13 08:40:28 2017 +0200

    Update translations from zanata (cs new)

commit 13753d1f23159e521ff8f61ed47c36211d2f0060
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 2 09:23:32 2017 +0200

    Release 1.9.18

commit 0cf87b9170a2d3018ddd162e553cc503f9500187
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 2 09:30:48 2017 +0200

    Update translations from zanata (pt_BR updated, es new)

commit ccb0effe6dc15c81e4782588f709fd6dca4cb41d
Author: Heiher <r@hev.cc>
Date:   Sun Jul 23 10:37:04 2017 +0800

    Don't query user database if user define phrase and dynamic adjust are disabled

commit b10c2ddfa9f003a529efc7bb4f2309e899f64444
Author: Heiher <r@hev.cc>
Date:   Wed Aug 2 15:10:03 2017 +0800

    Enable hash map based cache for user database enabled.

commit d68a20c1aece6092ee58b57927a554d16a425dfa
Author: Heiher <r@hev.cc>
Date:   Sun Jul 23 12:03:29 2017 +0800

    Import hash map based cache for table database.

commit b426d421908846973c506a666b5ac36701087c31
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 2 09:17:48 2017 +0200

    Fix another appdata warning

commit bb7d86abea69543e435e77e67a03992cae9e8b3d
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Jul 3 00:48:05 2017 -0400

    build: Install appstream metadata to /usr/share/metainfo/

commit 8d9d143769571a60d452067f5645278f2c4cd38b
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Jul 3 00:47:10 2017 -0400

    appdata: Fix some validation issues

commit 96e10b288da4d4c60e2201ef048d29a8fbcace6d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 1 07:48:55 2017 +0200

    Add 著 U+8457 to the test cases in  generate-chinese-variants.py

commit 3128edf8519671500b01747cf0f024fb0711c965
Author: Heiher <r@hev.cc>
Date:   Mon Jul 24 18:48:29 2017 +0800

    Fix bug in Unihan_Variants.txt, 著 U+8457 is both simplified *and* traditional Chinese

commit 97619240b43968ed6296eead80139986ad2857cb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 31 17:29:23 2017 +0200

    Keep our fixes to Unihan_Variants which are not yet included upstream

commit 7a320806d3a546eba57dddf4de7e0b644aae1bb8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 31 17:10:18 2017 +0200

    Update Unihan_Variants.txt from “2016-06-01 Unicode 9.0.0” to “2017-05-14 Unicode 10.0.0”
    
    There are no new lines in Unihan_Variants.txt which are relevant for
    simplified and traditional detection. Unfortunately none of our fixes
    for simplified and traditional detection seems to be included upstream yet.

commit 360933c93068ce50d3dd807bf6d22b3c1cafafc6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 1 13:11:04 2017 +0200

    Release 1.9.17

commit f2ad418163efbe78d8e1ef98d8b2389499e32f3e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 1 13:17:13 2017 +0200

    Update translations from zanata

commit 2d26e15cb828a94e4e26512626c4b783cdc9680a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 1 13:08:29 2017 +0200

    Load .desktop file for ibus-setup-table correctly under Gnome Wayland

commit 4cf3f6d8490392de28c7fdc311d8e4e782dcd0b7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Feb 23 05:11:25 2017 +0100

    Set WM_CLASS of ibus-setup-table correctly
    
    This is needed to get the application name and icon shown correctly by
    gnome-shell in the top bar.
    
    gnome-shell seems to use the first argument of set_wmclass() to find
    the .desktop file.  If the .desktop file can be found, the name shown
    by gnome-shell in the top bar comes from that .desktop file and the
    icon to show is also read from that .desktop file. If the .desktop
    file cannot be found, the second argument of set_wmclass() is shown by
    gnome-shell in the top bar.
    
    Therefore, for ibus-setup-typing-table we need:
    
        set_wmclass('ibus-setup-table', 'IBus Table Setup')

commit 02f1b980582e784c22cf41915e28b706d09000e9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 16 14:46:57 2017 +0100

    Release 1.9.16

commit faa9d95c9cdef4a5516f6185fa3d06f8bbf4409e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 16 14:24:02 2017 +0100

    Unbreak sqlite on Python 3.6
    
    Resolves: rhbz#1413580 - [abrt] ibus-table: __init__(): factory.py:96:do_create_engine:Exception: Cannot create engine wubi-jidian86
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1413580
    
    Py3.6 changed the transaction behavior; DDL commands like PRAGMA do not
    commit open transactions anymore, and since the default for execute() is
    to auto-open a transaction, setting the journal_mode fails.
    
    Changing the isolation_level to None so that transactions aren't opened
    anymore is a possible workaround. However, using executescript() seems
    like a better idea; it always commits any open transaction first.
    
    Jan Alexander Steffens (heftig) <jan.steffens@gmail.com> submitted
    this patch for ibus-typing-booster, ibus-table needs this as well
    to run with Python >= 3.6.

commit 8291d20227e013a4ebb396a92b3dfc3de54b300a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 16 13:08:39 2017 +0100

    Add comment

commit a4c12a577adcbf2814718167fd3362b4b2889ad9
Author: Osamu Aoki <osamu@debian.org>
Date:   Sat Jan 14 23:44:00 2017 +0900

    Avoid running initialization code of ibus_table_location.py
    
    The code refactoring which placed "import ibus_table_location" at the start of
    this script caused regression for distribution use of this ibus-table-createdb
    script where there is no gurantee that the HOME directory is writable etc.
    
    This bug is reported as release critical bug as:
    
    https://bugs.debian.org/848756
    https://bugs.debian.org/848765

commit 4683791c3137c4a351ffc56fa8e87f06d480f062
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 16 08:25:16 2017 +0100

    Release 1.9.15

commit 58272136c275eb925b0aa536c9836f6631b17368
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jan 16 08:22:14 2017 +0100

    Update translations from zanata (ca, de, fr, uk updated)

commit 9f19f4689d94f37c6435cdb93ed23df050ba4996
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Sep 8 10:14:06 2016 +0200

    Point to new home-page in the “About” tab.

commit 0f1bb5121a470156530ed3253f40e2e28488667e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 29 14:12:30 2016 +0200

    Improve README

commit 057c5e12575d309188830d12e1e77b1c1980bdbe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 29 13:41:26 2016 +0200

    Fix a typo in a comment

commit 6c0677c4e54b203cf5f7dec4762112d332060f7c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 13:45:51 2016 +0200

    Release 1.9.14

commit ac1229bbc73e2ac67daf6dea98a31d9673afe38d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 13:39:43 2016 +0200

    Add test case for 乾 to make sure it is detected as both traditional and simplified Chinese

commit d38e16f8a4f7fd52faf58eb1da7859ce2089c2cc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 12:22:26 2016 +0200

    Regenerate engine/chinese_variants.py

commit d7f92a6f3c76daa02f271ee5a1989e748e6be7d9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 11:37:21 2016 +0200

    Update Unihan_Variants.txt from “2015-04-30 Unicode 8.0.0” to “2016-06-01 Unicode 9.0.0”
    
    But keep our fixes which are not yet included upstream.
    
    New lines in Unihan_Variants.txt which are relevant for
    simplified and traditional detection:
    
    > U+27835        kSimplifiedVariant      U+2C88D
    
    U+27835 = 𧠵 U+2C88D = 𬢍
    
    > U+2C88D        kTraditionalVariant     U+27835
    
    U+2C88D = 𬢍 U+27835 = 𧠵

commit 63169be512839583c4d0743f1bebc5a6a8c07a6a
Merge: ac11e4e 0dde127
Author: Mike FABIAN <maiku.fabian@gmail.com>
Date:   Wed Aug 24 13:18:01 2016 +0200

    Merge pull request #47 from heiher/master
    
    Fix bug in Unihan_Variants.txt, 乾 U+4E7E is both simplified and traditional Chinese

commit ac11e4e94a22a1064139361d657ca444125c4318
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 23 18:22:04 2016 +0200

    Release 1.9.13

commit bd2b87bd0bc99df3e842e6c4c8f0c82df53d54b9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 08:56:06 2016 +0200

    Add ibus-table.appdata.xml to POTFILES.in to make it translatable
    
    Update po files. Translate the new stuff in de.po.

commit 5e7f9758dec21a1499d4d7071514ac316ff0f1da
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 23 18:19:49 2016 +0200

    When ignoring key release events, “False” should be returned, not “True”
    
        Resolves: rhbz#1369514 - When ibus-table is active the “enter command” dialog of Gnome cannot be closed with ESC
        See: https://bugzilla.redhat.com/show_bug.cgi?id=1369514

commit ffcca5ed7b4172da8c21a17e11f7f08a392f45c8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 08:06:49 2016 +0200

    Specify IBus and Gtk versions before importing in setup/main.py

commit b8913c5f4dfaf2529c85f70fde7cd5a7cdcc17a7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 08:01:16 2016 +0200

    Specify IBus version before importing in engine/{factory,table}.py

commit 4d59c40eb3a0b66b88d8fba006ebab0883edb70b
Author: McSinyx <vn.mcsinyx@gmail.com>
Date:   Wed Jun 22 10:47:37 2016 +0700

    Specify IBus version before importing in engine/main.py

commit 80639b148326ba3ab391c0bb7fb71484976a7ce2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 07:45:19 2016 +0200

    Add ibus-table.appdata.xml and install it

commit 55fa0b3cd97dae4d8941cd56abefa24508273d9c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 08:40:54 2016 +0200

    Add ca.po, fr.po, pt_BR.po, and uk.po from zanata

commit d54c4612e7e80f549a1a01127b39713c187d104a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 08:37:49 2016 +0200

    pull ja.po, zh_CN.po, and zh_TW.po from zanata

commit d38217aceb217fe5af9b8122aeb3c5066067334c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 08:34:11 2016 +0200

    Add .zanata-cache/ to .gitignore

commit f1c4bfb7c42f71e8248acf6bc41c484bc00d9fe4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 24 07:13:32 2016 +0200

    Add zanata.xml

commit 0dde127843b2bf12921460fa3ab3f7e568f11d18
Author: Heiher <r@hev.cc>
Date:   Wed Aug 24 13:43:55 2016 +0800

    Fix bug in Unihan_Variants.txt, 乾 U+4E7E is both simplified *and* traditional Chinese

commit edd0fea561f0f5953d291456ec851c17518e1cd1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Mar 16 07:34:54 2016 +0100

    Release 1.9.12

commit 1bf38d6cc74e9de6482b2d28f6065ef283391361
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Mar 16 07:29:50 2016 +0100

    Show the table code in the candidate list when pinyin mode is used
    
    Resolves: rhbz#1318109 - [RFE] Please show Wubi table code when in pinyin mode
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1318109, https://github.com/ibus/ibus/issues/1846
    
    When using pinyin mode for a table like Wubi or Cangjie,
    the reason is probably because one does not know the
    Wubi or Cangjie code. So get that code from the table
    and display it as well to help the user learn that code.

commit f02b1b2efc074e6095aa0286b2fac9f335e7a4c6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Nov 27 09:55:37 2015 +0100

    Release 1.9.11

commit 734274cc52c23acae12b075887838c3f28e58cb9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Nov 27 09:44:52 2015 +0100

    Add a few more IBus.Text.new_from_string() conversions
    
    surprisingly it works without this change on all my machines.  But for
    楊文齊 <login0307@gmail.com> who uses an older system than me (Ubuntu
    14.04.2 LTS, Unity desktop, IBUS 1.5.5), this change was necessary to
    make it work. The change looks correct anyway and works fine for me as
    well,so I’ll add it.

commit be8eb2994a2385544ebaec12284653b3cade2c4e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Nov 25 11:06:31 2015 +0100

    Fix bug in Unihan_Variants.txt, 面 U+9762 and 系 U+7CFB are both simplified *and* traditional Chinese
    
        Resolves: rhbz#1285379
        See: https://bugzilla.redhat.com/show_bug.cgi?id=1285379

commit fd1523aa6f16072b9e2ff0601c3ad5353b738633
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 24 07:34:34 2015 +0100

    Release 1.9.10

commit b6113d6d8a601cefb3dfee2ca41267979f3cd7a8
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 24 06:56:20 2015 +0100

    Fix bug in Unihan_Variants.txt, 表 and 杰 are both simplified *and* traditional Chinese
    
    Resolves: rhbz#1284749
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1284749

commit 0f6d2a2852953f6bf34807aaaa5ad5b66a39189b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 17 09:12:42 2015 +0100

    Release 1.9.9

commit 72577d80a097bcc0ed675dde4222a1b1d3101250
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 17 09:04:03 2015 +0100

    Update copyright years

commit 1affea5b31537ae1fc1e480dbad30c6112088551
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 14 19:30:46 2014 +0200

    Add optional debug code

commit 35403961397f2d7dfc34d001be9ad3da4724c61f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Nov 17 07:04:59 2015 +0100

    Fix hotkey matching
    
    Resolves: Bug 1282683 - Some keyboard shortcuts in ibus-table do not work
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1282683
    
    Some hotkeys did not work because the matching on the key release
    event was done inconsistently.
    
    Bug was reported by river tree <rivertree@gmail.com>.

commit 6e8335efc7b8c5e11327eded8b1b0eef6567897c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 21 08:55:04 2015 +0200

    Release 1.9.8

commit a52e9dc7c68426d8c6ddf24bf658ce8714b75e74
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 21 08:52:45 2015 +0200

    Fix a few pylint warnings

commit 8515046c0d0b23823cf800ae13511ce907fd5324
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 21 08:40:04 2015 +0200

    Document “orientation” and “select_keys” options in template.txt

commit de9ff578577672f1314b247a5c0812d82477dadf
Author: Heiher <r@hev.cc>
Date:   Wed Oct 21 13:17:33 2015 +0800

    Get option 'lookuptableorientation' default value from database.

commit 9193fce1921db961198a562be179354f932c2082
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 14 16:43:02 2015 +0200

    Release v1.9.7

commit 39ac7575759f2bfe5ff8d2f1a67750eb0518e822
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 14 08:43:20 2015 +0200

    Fix some pylint warnings

commit 372dbc04791770f1ca7b0e5504b03ee4423b23d2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 14 08:31:44 2015 +0200

    When matching hotkeys, ignore all modifiers not requested in the match
    
    Hotkeys didn’t work when capslock was on. Now we ignore not only
    NumLock/MOD2 but all modifiers which are not requested to match in
    _match_hotkey().

commit 22bbda0584bca5049657e5b66e0423f016ea22d1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 14 08:26:39 2015 +0200

    Fix 覆 U+8986 in Unihan_variants.txt, it is both simplified *and* traditional Chinese
    
    Resolves: rhbz#1271036
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1271036#c3

commit 0d5cdac37d244a879c090e3586ff264ddd714f23
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 14 07:58:18 2015 +0200

    Update Unihan_Variants.txt from “2014-05-09 Unicode 7.0.0” to “2015-04-30 Unicode 8.0.0”
    
    And regenerate engine/chinese_variants.py.
    
    New lines in Unihan_Variants.txt which are relevant for simplified and
    traditional detection:
    
    > U+4CA4        kTraditionalVariant     U+9FD0
    
    U+4CA4 = 䲤 U+9FD0 = 鿐
    
    > U+540C        kSimplifiedVariant      U+540C
    
    U+540C = 同
    
    > U+93B6        kSimplifiedVariant      U+9FD4
    
    U+93B6 = 鎶 U+9FD4 = 鿔
    
    > U+9FCF        kTraditionalVariant     U+4951
    
    U+9FCF = 鿏 U+4951 = 䥑
    
    > U+9FD0        kSimplifiedVariant      U+4CA4
    
    U+9FD0 = 鿐 U+4CA4 = 䲤
    
    > U+9FD2        kSimplifiedVariant      U+9FD3
    > U+9FD3        kTraditionalVariant     U+9FD2
    
    U+9FD2 = 鿒 U+9FD3 鿓
    
    > U+9FD4        kTraditionalVariant     U+93B6
    
    U+9FD4 = 鿔 U+93B6 = 鎶

commit bd8e1206afb60f74a7df4bcaf02dd2738cc2d20c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 6 08:38:41 2015 +0200

    Release v1.9.6

commit 877e6059ceeb667d0a754c7acbcf630c49bbe2e3
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed May 6 08:26:20 2015 +0200

    Use os.path.expanduser('~') instead of os.getenv('HOME')
    
    Resolves: rhbz#1218023 - [abrt] ibus-table: posixpath.py:83:join:TypeError: unsupported operand type(s) for +=: 'NoneType' and 'str'
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1218023
    
    The Python documentation says:
    
     os.path.expanduser(path)
    
        On Unix and Windows, return the argument with an initial component
        of ~ or ~user replaced by that user‘s home directory.
    
        On Unix, an initial ~ is replaced by the environment variable HOME
        if it is set; otherwise the current user’s home directory is
        looked up in the password directory through the built-in module
        pwd. An initial ~user is looked up directly in the password
        directory.
    
    This helps if HOME is not set.

commit 90a2a74c4a61ba9f3a9e43c69c1c0b593a2f1b63
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 13 12:34:19 2015 +0200

    Release v1.9.5

commit 822ec75b57abd20cd7a004a10035e292882b36db
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 13 11:22:37 2015 +0200

    Don’t strip space when parsing phrases from a source table
    
    In some cases, one might want to start a key with a space.
    As the columns in the table are separated by tab, there is no
    reason to strip a leading space from the first column.
    
    Suggestion by James Wood, needed for a table to write the Shwa script
    (http://shwa.org/).
    
    Resolves: rhbz#1211208 - ibus-table-createdb should allow table keys to start with spaces
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1211208

commit 6f11a71399dc5ff227c8ff35091c10095a72519c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Apr 13 11:18:56 2015 +0200

    Fix typo in regexp parsing table entries
    
    There was ([^t]) instead of ([^\t]) in the part of the regexp getting
    the frequency. As the frequency is an integer and should contain only
    digits, this did not cause problems. But it still is a typo.

commit 64c831a643dc68ef1f523ae12deb9d7398b50773
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Mar 7 19:15:51 2015 +0100

    Release 1.9.4

commit 65aff02f6c099b07931e83da7701fbcac9e8dabf
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Mar 7 19:13:19 2015 +0100

    Check existence of old log files before trying to delete them
    
    Resolves: rhbz#1199673 - [abrt] ibus-table: factory.py:89:do_create_engine:Exception: Cannot create engine wubi-jidian86
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1199673

commit d858a60a7651505f2d4443cdce1b352a2a209cd5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Mar 2 06:46:52 2015 +0100

    Release v1.9.3

commit 4793b610944261c3484d624564cfd3790b3440e0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Feb 27 22:17:58 2015 +0100

    Try to get the English name of the table if run in locale C/POSIX
    
    Resolves: rhbz#1197001 - [abrt] ibus-table: main.py:222:main:AttributeError: 'NoneType' object has no attribute 'lower'
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1197001

commit cfd698f14c2cfccc88dd34abb303bdf2c1a9eb22
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 9 11:23:50 2015 +0100

    Release v1.9.2

commit 0370cb105b79adfab6e6f295c9a824ffc6f71055
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 9 12:05:55 2015 +0100

    add “compile” to .gitignore

commit a69f91fefe5de2959b14aa597b432e916d6eebd2
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jan 9 08:17:00 2015 +0100

    Use directories according to theXDG Base Directory Specification
    
    See: http://standards.freedesktop.org/basedir-spec/latest/index.html
    
    Resolves: rhbz#1172524 - ibus-table log could use xdg
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1172524

commit 75b956b3e060e03b93f270898a6e596a2c1bdfe6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 1 10:16:00 2014 +0200

    When a leading invalid character is passed through, it needs to be remembered in self._prev_char
    
    When a string is committed using commit_string(), commit_string()
    remembers its last characters in self._prev_char. But when a invalid
    leading character is passed through directly to the application by
    returning False in the key event processing, that character needs to
    be remembered as well in self._prev_char.
    
    For example, when halfwidth letter mode but fullwidth punctuation mode
    is used, _convert_to_full_width() does not convert a “.”  to “。”
    if the previous character was a halfwidth digit. Probably the purpose
    of this hack is to make it easier to enter floating point number like
    “3.141”. A digit like “3” is an invalid input character for most
    Chinese tables and thus committed or passed through to the application
    immediately.  If the next character typed is “.”,
    _convert_to_full_width() checks whether the previous character was a
    halfwidth digit and if yet prevents conversion of “.” to ”。” to
    avoid getting “3。141”. Therefore, no matter whether a character
    is committed or passed through, the last character inserted into
    the application needs to be remembered.

commit 930b539bbfdac14dbc715e7898063ec940e9e41a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 1 09:44:20 2014 +0200

    Change class “KeyEvent” to store the keycode as well
    
    - add the keycode to the class “KeyEvent”:
      I may need to access the keycode in tabengine._process_key_event()
      to forward a key event to the application:
    
      void ibus_engine_forward_key_event (IBusEngine         *engine,
                                          guint               keyval,
                                          guint               keycode,
                                          guint               state);
    
      if the object of the class “KeyEvent” passed to
      tabengine._process_key_event(self, key) does not contain the
      keycode anymore, I cannot properly forward a key event.
    
    - Fix the confusing naming of the member variables in the class
      “KeyEvent”: it is easier to give the member variables names like
      the parameters of the IBus API (Why self.code = keval?)

commit aa1f1ee6d5cb76d660f9074e2c623be44956f062
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 30 17:32:28 2014 +0200

    Remove useless “is_press” parameter in constructor of class KeyEvent
    
    Checking whether the IBus.ModifierType.RELEASE_MASK bit is set
    in “state” and if yes, set it again is completely redundant.

commit 71cd8d3ae7d417ff5077205183c976763b69c2cc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 30 14:15:10 2014 +0200

    Release v1.9.1

commit 616c93016c916d05555ad029768addfc12dbf548
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 30 12:38:18 2014 +0200

    Use proper fallback when reading the localized table name
    
    Try language and region (“xx_YY”) first, then only language (“xx”).
    Without this patch,
    
        NAME.ru = устаревшая
    
    would be ignored, only
    
        NAME.ru_RU = устаревшая
    
    would be used.

commit 79bccdc39c6e233ea5081d011ef102bf2d7ef9ce
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Sep 17 10:21:39 2014 +0200

    Show pinyin mode as well in the input mode indicator

commit 16e700192695fd75b392939abb34faccf1322639
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 16 09:57:26 2014 +0200

    Release v1.9.0

commit cf541b98b8a2fdb829efcbcd99701fa2e3130c16
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 9 09:24:31 2014 +0200

    Add a Japanese translation file
    
    I did not translate many messages, I mostly want that file
    because I run my desktop in Japanese and want to see whether
    the translation system is working correctly or not.

commit 406685f717f76683dac68c54d7277a5dadd5558c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 16 08:26:18 2014 +0200

    Update Chinese .po files

commit 741ab21b5a677604d4e47b3d03cd6345a2f78795
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 16 08:23:51 2014 +0200

    Update German translations

commit 461ed20a4fec27b3603cc29323c2be36ce7fdf7d
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 8 14:14:58 2014 +0200

    Redesign the property menus, use sub-menus instead of toggles
    
    The toogles are very confusing, one cannot easily see to which
    mode one will switch when a toggle is clicked. When the floating panel
    is shown, tooltips explain to which mode will switch. But the floating
    panel is never shown in Gnome3, so this does not help for Gnome3.
    
    User feedback also shows that many users are confused whether the
    currently visible menu entry in case of a toggles shows the state
    which is currently used or the state one will switch to when that
    toggle is clicked.
    
    For toggles which have more than 2 values, for example the Chinese mode:
    
        0 means to show simplified Chinese only
        1 means to show traditional Chinese only
        2 means to show all characters but show simplified Chinese first
        3 means to show all characters but show traditional Chinese first
        4 means to show all characters
    
    it is tedious to change from mode 0 to mode 4 for example:
    
       Open the menu, click on the toggle, menu closes and one has
       changed to mode 1. Repeat 3 more times to get to mode 4.
    
    The new system to use sub-menus instead of toogles also agrees better
    with:
    
    https://wiki.gnome.org/AllanDay/IMEGuidelines
    
    > Avoid mutable menu items (menu items whose label changes after it has
    > been selected). Instead, consider providing two adjacent menu items
    > for the commands. Then make the items sensitive or insensitive as the
    > situation demands.
    >
    > Do not use mutable menu items to toggle a two-state setting (for
    > example, Show and Hide). Use a check box or radio buttons instead.
    
    Also included in this commit:
    
    - reset() not needed when switching Chinese mode

commit 55b7b3b0c490397cd74610052345963f4f9ae982
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Sep 14 13:32:16 2014 +0200

    Release v1.8.11

commit 6bfad0054a7d8fea292557984a985d57f68bc74f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 9 20:34:21 2014 +0200

    Fix typo in variable name self_onechar -> self._onechar
    
    This typo caused a Python backtrace when the dconf key
    
        /desktop/ibus/engine/table/wubi-jidian86/onechar
    
    was not set.

commit 5bc44b0b45dfdfa5b0653625f37cd75e2533d927
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 9 08:47:06 2014 +0200

    Fix typo in e-mail address

commit 2a0b323d0c052794964f8473c23a399a6743bfc4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Sep 4 16:07:38 2014 +0200

    Release v1.8.10

commit 2e30813032fe46c6df690a2ba68b38bf1dd3e68c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Sep 2 10:38:07 2014 +0200

    Disable “onechar” (Phrase mode/Single char mode) option for non-CJK databases
    
    This option is only useful for Chinese. Some Chinese tables, for
    example wubi-jidian86 contain not only single Chinese characters but
    also longer phrases. When one wants to input a certain single
    character, longer phrases showing up as matches as well may make it
    more difficult to find the desired single character in the candidate
    list. I.e. to input single characters it may be sometimes useful to
    switch to single character mode. For non-Chinese tables, such a single
    character mode is useless.

commit d489802af96db1d5c46cb2295728d475b4a3797f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 1 16:50:28 2014 +0200

    Disable hotkey to switch Chinese mode if database is not Chinese

commit bbf7d0f3fcb73cb5ec777cb9fee30991fe3fcd53
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Sep 1 16:29:41 2014 +0200

    Disable auto_commit option for tables which do not have RULES
    
    Resolves: rhbz#1135759 - The rusle is broken with "Normal commit mode"
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1135759
    
    If a table does not have USER_CAN_DEFINE_PHRASE=TRUE and a non-empty
    RULES, it makes no sense to use “commit to preedit” for that table.
    Therefore, for such tables, auto_commit should always be True
    (= “Direct commit mode”) and never False (= “Normal commit mode”).
    These tables have AUTO_COMMIT = TRUE in their source and this should
    never be changed by the user.
    
    “Normal commit mode”, i.e. committing to preedit makes sense only
    for tables like wubi-jidian86, wubi-haifeng86, and erbi-qs because
    only these 3 tables currently have RULES and USER_CAN_DEFINE_PHRASE=TRUE.
    For such tables, committing to preedit is used to define new
    user shortcuts semi-automatically.

commit 3663711986a93b112a2f537b0c485620fc756106
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 26 13:39:23 2014 +0200

    Release v1.8.9

commit e43591313e619990c87dbfed91de25f1d34ab659
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Aug 23 14:18:43 2014 +0200

    Pass IBus.KEY_KP_Enter to the application if the preedit is empty
    
    Resolves: rhbz#1133424 - With the new "rusle" table in ibus-table-cyrillic, Keypad Enter problem
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1133424
    
    If IBus.KEY_KP_Enter is typed:
    
    • if the preëdit is empty, we should always pass the key to the
      application. *Not* commit an empty string plus os.linesep because
      that behaves differently in some cases.  For example when typing a
      message in Pidgin it would insert a linefeed into the message
      instead of sending the message.
    
    • if the preëdit is not empty:
      - when auto_select is true (typical for Russian input methods
        like “rusle” or “translit”), the pending preëdit should be committed
        and the IBus.KEY_KP_Enter key passed to the application.
        For example, when typing “C” with translit, the preëdit contains
        Ц because it is still possible that a “h” is typed next:
    
            C       Ц       1000
            Ch      Ч       1000
            CH      Ч       1000
    
        When IBus.KEY_KP_Enter is typed in this state, the Ц should
        be committed and the IBus.KEY_KP_Enter should be passed to the
        application. With the old code, typing “C” followed by
        IBus.KEY_KP_Enter inserted a Ц and a linefeed in Pidgin instead
        of sending the message ending with Ц.
      - when auto_select is false (typical for Chinese input methods),
        the typed tabkeys should be committed (not the Chinese characters
        in the preëdit) and IBus.KEY_KP_Enter should not be passed
        to the application.

commit 48c2b7e9ac1a109b7b1cb77bc665f2a19b6fcbd4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 22 21:12:04 2014 +0200

    Ignore Shift+Space hotkey to switch fullwidth/halfwidth if the database is not for CJK
    
    Resolves: rhbz#1133422 - With the new "rusle" table in ibus-table-cyrillic, Shift-Space does not work
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1133422

commit 354acbd306780015d4e64219ca5fb6989f991016
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 26 13:53:35 2014 +0200

    Update Chinese .po files

commit eb64958cbd55f6ce8288987900ccfd9dfd8c3bea
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 26 13:53:11 2014 +0200

    Update German translations

commit b9824969683c77278edbc45c9472092b96bf4b58
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Aug 9 17:47:36 2014 +0200

    Move some options into a new tab “Details”

commit c4842088ddf21aee02cef5808f3086a854c3ac39
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 14 15:25:23 2014 +0200

    Release v1.8.8

commit 72b75c5d32a9491b06f68d21ed08468d27416717
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 14 14:37:59 2014 +0200

    Disable properties related to fullwidth/halfwidth for non-CJK tables
    
    Resolves: rhbz#1128912  - With the new "rusle" table in ibus-table-cyrillic, typing space works strangely
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1128912

commit 1fb4bffb7cb02962cc2453337a50445e06a236a5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 13 20:51:09 2014 +0200

    If the database is not CJK, set sensitivity to comboboxes useful only for CJK to OFF

commit 074a43e79475135e10ef0096498e48af512b339e
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Aug 13 15:07:23 2014 +0200

    Remove “Hide Candidates/Display Candidates” from the properties menu
    
    This is almost never changed while using ibus-table, either one
    keeps it always on or always off.
    
    It is changeable in the setup tool, that should be enough.  Stuff
    which is used so rarely unnecessarily clutters the properties menu.

commit c9895416e0ecef53c42f4af30c3b2a38eaa1b889
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 12 19:55:24 2014 +0200

    Show keyboard shortcuts also in the property menu entries
    
    To make them easier to discover. They are shown in the tooltips
    of the floating panel already, but Gnome3 does not have the floating
    panel. Therefore the keyboard shortcuts are not easy to discover
    when using Gnome3.
    
    See also https://bugzilla.redhat.com/show_bug.cgi?id=1128912

commit b8b0d2bcb9b21fc2a92a97758054aca7da16313c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 11 19:00:23 2014 +0200

    Release v1.8.7

commit 67faf246f7137cd901a042cf47f7a016ebf63f98
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 11 18:40:33 2014 +0200

    Use the “notify::text” signal instead of “activate” on GtkEntry widget
    
    To make it possible that any change of text in the GtkEntry widgets
    is applied immediately. The “activate” signal is only emitted
    when Enter/Return is typed, the “notify::text” signal is emitted
    on any sort of change in the text.

commit e7a014318ba45239dc8f4b9409594d6e39c0c0bd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 4 10:06:04 2014 +0200

    Update Chinese .po files

commit 7ded13e317f22cf0c97a2ee48819769c0d9024e9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 4 10:04:50 2014 +0200

    Update German translation

commit 64984f048d2dd578318769ee543265ee74b82947
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 1 09:41:24 2014 +0200

    Move the “Restore all defaults” button into the GtkButtonBox at bottom
    
    - Makes the dialog a little bit less tall (helps for small screens)
    - I want to add another tab for detailed settings, the “Restore all defaults”
      button restores the defaults for all options in all tabs, therefore it
      should not be part of a tab.

commit 7a2d96a990f812cd62df2cd80abc29a1d78d9cf1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Aug 1 09:11:40 2014 +0200

    Fix typo in comment

commit 85c59eb98465295dba2323aaec131bc5db3f9220
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 30 09:44:01 2014 +0200

    Apply fix for 同 again to Unihan_Variants.txt, it is both simplified *and* traditional Chinese
    
    This fix is not yet included in Unicode 7.0.0. It will be included
    in a future version though.

commit edfa725889c6d68dce4eb41408976b83eed21430
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 30 09:39:55 2014 +0200

    Update Unihan_Variants.txt from “2013-02-25 Unicode 6.3.0” to “2014-05-09 Unicode 7.0.0”
    
    And regenerate engine/chinese_variants.py.
    
    New lines in Unihan_Variants.txt which are relevant for simplified and
    traditional detection:
    
    > U+9FC1        kSimplifiedVariant      U+4724
    > U+4724        kTraditionalVariant     U+9FC1
    
    U+4724 = 䜤 U+9FC1 = 鿁

commit 558aa047be78df18e85e2b58409a9a8f97d46d4f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 28 21:08:40 2014 +0200

    Release v1.8.6

commit 275d514e388afedce1a6c74525f671e6f287b3aa
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 28 21:04:21 2014 +0200

    Escape % and _ if they are not intended as wildcards
    
    Resolves: rhbz#1123981 - With the new "rusle" table in ibus-table-cyrillic, typing '%' shows ':' in preëdit instead of committing it directly
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1123981

commit fb4969c2f4ec9e5413322415ebe4b8c109dfe9c4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 22 16:41:16 2014 +0200

    Require Python >= 3.3
    
    When porting to Python3, I originally kept it working with Python2 as
    well. But I didn’t test with Python2 for a while and the current code
    would not work anymore with Python2.  It doesn’t seem to make sense
    to invest effort to keep Python2 compatibility. Better require Python >= 3.3.

commit fe79787880f451815efc86b7b9f7c35d6da27782
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 21 15:38:17 2014 +0200

    Release v1.8.5

commit 5a50f3e0e34ae61108cbf886bea2b7bbadc593fb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jul 21 15:23:44 2014 +0200

    Always write xml output in UTF-8 encoding, not in the encoding of the current locale
    
    Resolves: rhbz#1120919 - abrt] ibus-table: main.py:268:main:UnicodeEncodeError: 'ascii' codec can't encode characters in position 1150-1152: ordinal not in range(128)
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1120919

commit 076063a362953a9fa75d72c97191c6651c0afabd
Author: Caius "kaio" Chance <caius.chance@gmail.com>
Date:   Mon Jul 7 16:37:19 2014 +1000

    - Release v1.8.4

commit a87efc9f072114c47d9260cd779f923e5fca3c38
Merge: cd83314 e21444f
Author: Caius 'kaio' Chance <me@kaio.net>
Date:   Mon Jul 7 16:36:07 2014 +1000

    Merge pull request #43 from mike-fabian/tweak-defaults-for-chinese-mode-taken-from-locale
    
    Tweak defaults for Chinese mode taken from the locale

commit e21444f8ea90661f387ce2e9fb15d1d799162b06
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sun Jul 6 07:32:52 2014 +0200

    For cangjie* and quick* tables: Use big5 order if the freq from the table is the same
    
    In the cangjie5.txt table, all the frequency weights are 1000, for example:
    
        su  己      1000
        su  已      1000
        su         1000
        su  㔾      1000
    
    Currently, the Unicode code point is used as a last ditch fallback if
    all the other sort keys are the same (sort keys are: exact match, user
    frequency, Chinese variant, system frequency, length of input
    sequence, input sequence alphabetical, Unicode code point).
    
    In case of the above characters matching “su”, the Unicode code
    points and Big5 code points:
    
        㔾 U+353E Big5 -    Big5HKSCS 8BC8
        己 U+5DF1 Big5 A476 Big5HKSCS A476
        已 U+5DF2 Big5 A477 Big5HKSCS A477
         U+E81D Big5 -    Big5HKSCS -
    
    Sorting via the Unicode code points gives:
    
        尸山 (1/9)
        1. 㔾
        2. 己
        3. 已
        4. 
        ...
    
    And sorting first via the Big5 code points and then via the Unicode
    code points for characters which do not have a Big5 code point gives:
    
        尸山 (1/9)
        1. 己
        2. 已
        3. 㔾
        4. 
        ...
    
    This order seems to make more sense for Cangjie because:
    
    • https://en.wikipedia.org/wiki/Big5:
      “The original Big5 character set is sorted first by usage frequency,
      second by stroke count, lastly by Kangxi radical.”
    • some other popular operating system also uses Big5 order for Cangjie
    
    Therefore, for the cangjie* and quick* tables, this commit introduces
    another sort key sorting according to the Big5 code point just before
    sorting the final sort key using the Unicode code point.
    
    As the frequency data in the tables (which is currently always 1000
    for cangjie5.txt, cangjie3.txt, and cangjie-big.txt) has higher priority,
    one could still tweak the frequency data in the table if the order is
    still not perfect for some characters. But it looks like Big5 order
    is quite reasonable.

commit db062f794099e2c57d977c212418ef5506f78e24
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jul 4 15:15:26 2014 +0200

    Make it possible to use select keys like F1, F2, F3 ...
    
    Select keys like F1, F2, F3, ... are necessary for the ipa-x-sampa
    table which has:
    
    VALID_INPUT_CHARS == +!\%&'-./0123456789:<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[]^_`abcdefghijklmnopqrstuvwxyz{|}~"
    
    Therefore, using 1, 2, 3, ... as the select keys for ipa-x-sampa
    is bad because it makes it impossible to input the following
    entries of the ipa-x-sampa table:
    
        1   ɨ       0       ### U+0268 LATIN SMALL LETTER I WITH STROKE
        2   ø       0       ### U+00F8 LATIN SMALL LETTER O WITH STROKE
        3   ɜ       0       ### U+025C LATIN SMALL LETTER REVERSED OPEN E
        3\  ɞ       0       ### U+025E LATIN SMALL LETTER CLOSED REVERSED OPEN E
        4   ɾ       0       ### U+027E LATIN SMALL LETTER R WITH FISHHOOK
        5   ɫ       0       ### U+026B LATIN SMALL LETTER L WITH MIDDLE TILDE
        6   ɐ       0       ### U+0250 LATIN SMALL LETTER TURNED A
        7   ɤ       0       ### U+0264 LATIN SMALL LETTER RAMS HORN
        8   ɵ       0       ### U+0275 LATIN SMALL LETTER BARRED O
        9   œ       0       ### U+0153 LATIN SMALL LIGATURE OE
    
        _0  ̥        0       ### U+0325 COMBINING RING BELOW
        _1  ₁       0       ### U+2081 SUBSCRIPT ONE
        _2  ₂       0       ### U+2082 SUBSCRIPT TWO
        _3  ₃       0       ### U+2083 SUBSCRIPT THREE
        _4  ₄       0       ### U+2084 SUBSCRIPT FOUR
        _5  ₅       0       ### U+2085 SUBSCRIPT FIVE
        _6  ₆       0       ### U+2086 SUBSCRIPT SIX
    
    Also, use the key codes of the select keys instead of the names of the
    select keys in the key even processing. One could of course keep
    using the names and still make using select keys like F1, F2, F3, ...
    possible. But other similar key lists like self._commit_keys,
    self._page_up_keys, and self._page_down_keys use key codes, it seems
    nicer make all these similar key lists use the same data types.

commit 04accb2a5f7cf688d8455cadc18f28a8c4d0a2e6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jul 3 11:57:08 2014 +0200

    Update NEWS file for ibus-table 1.8.x

commit adb107ef2273acc2257226ac0c87ba8d915de421
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jul 2 17:26:52 2014 +0200

    Fix prompts for array30 table and don’t use prompts in pinyin mode
    
    The array 30 table has prompts which are longer than one character.
    Like this:
    
    BEGIN_CHAR_PROMPTS_DEFINITION
    q 1^
    w 2^
    e 3^
    ...
    m 7v
    , 8v
    . 9v
    / 0v
    END_CHAR_PROMPTS_DEFINITION
    
    This did not work with my old code.
    
    Also, do not use the prompts in pinyin mode. This commit
    
        commit c9f6a2bfe833da6f6a3d67546a89e0cefd886d83
        Author: Mike FABIAN <mfabian@redhat.com>
        Date:   Wed Jun 4 12:45:19 2014 +0200
    
            Don’t show the prompt characters defined in the table in pinyin mode in the auxiliary text
    
    already avoided using the prompts in pinyin mode in the auxiliary text.
    But prompt characters may also appear in the candidate list to show
    which characters are needed to complete a candidate (“remaining_tabkeys”)
    and also in the preëdit when no candidate can be found for the typed
    characters.  Fix this for pinyin mode for these cases as well.

commit 4adcd6fe8be21892b856f20948314e9c5ea08cb5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jul 1 18:28:44 2014 +0200

    Tweak defaults for Chinese mode taken from the locale
    
    - detect also the locale zh_SG as simplified Chinese
    - if the Chinese variant is detected from the locale, set the
      Chinese mode to a mode which prefers a variant instead of
      showing that variant only. I.e., if zh_CN or zh_SG is in
      the locale, set the Chinese mode to 2 (“Show simplified Chinese first”)
      instead of 0 (“Show *only* simplified Chinese”).
      If one wants to show only one variant, one can easily change that
      later, but as a default it is better not to hide one variant, this
      seems to confuse some users who have not yet discovered that these
      options exist (see for example: https://code.google.com/p/ibus/issues/detail?id=1492
      and https://code.google.com/p/ibus/issues/detail?id=1670 )
    - if no Chinese locale is set (and the Chinese mode is neither set in
      the table nor in the user settings either), use mode 4 (“Show all Chinese
      characters”) by default. In this case we don’t really know whether
      the table is intended for simplified or for traditional Chinese,
      it makes no sense to just guess simplified Chinese then.

commit cd83314cecc5d78fa5545611a8f5a313dc8d044f
Merge: b570739 cb4233c
Author: Caius 'kaio' Chance <me@kaio.net>
Date:   Fri Jun 27 14:46:43 2014 +1000

    Merge pull request #42 from mike-fabian/do-not-add-wildcards-to-string-of-valid-input-chars
    
    Don’t add self._single_wildcard_char and self._multi_wildcard_char to se...

commit cb4233ca63b4838580ce744cbe4048c9b095cf62
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Jun 26 15:37:22 2014 +0200

    Don’t add self._single_wildcard_char and self._multi_wildcard_char to self._valid_input_chars and self._pinyin_valid_input_chars
    
    This is because the wildcard characters can be changed with the setup
    tool at runtime. If they are added to the string of valid input
    characters, the old wildcards would need to be removed from that
    string if the wildcards are changed. But the wildcard character may
    have been in that list already before it was added as a wildcard
    character. In that case, only one instance of the old wildcard
    character should be removed from the string of valid input characters
    if the wildcard character is changed. Replacing the wildcard
    characters in the string of valid input characters when they change
    seems more confusing that not adding them to that string in the first
    place.
    
    Therefore, I do not add the wildcard characters to the string of
    valid input characters anymore, but that means that when checking
    whether a character is a valid input character
    
        if c in self._valid_input_chars:
    
    is not enough anymore, now one needs
    
        if c in self._valid_input_chars + self._single_wildcard_char + self._multi_wildcard_char:
    
    That seems less confusing than adding the wildcard characters to
    self._valid_input_chars and replacing them there when they change.

commit b570739aec426bebd166fb494d41d5f04cccb1aa
Author: Caius "kaio" Chance <caius.chance@gmail.com>
Date:   Wed Jun 25 22:46:53 2014 +1000

    Release v1.8.3.

commit 9dd5bd9c2f08c39143e3eea0ded8d34ce979bbcb
Merge: 7cb2765 80c97fa
Author: Caius 'kaio' Chance <me@kaio.net>
Date:   Wed Jun 25 22:23:22 2014 +1000

    Merge pull request #41 from mike-fabian/improve-wildcard-support
    
    Improve wildcard support

commit 80c97fad74ae8be835576be15c5913efed081190
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 25 11:03:15 2014 +0200

    Update Chinese .po files
    
    (Only to get the changed strings from the source synced with the .po
    files, I did neither change nor add any translations).

commit 1816bb90295ff0bb44f11f3b85deb3ca5d4484a7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 25 11:02:25 2014 +0200

    Update German translations

commit 95851e5dc6e3491813ac6ea8e3927d608d375a04
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 23 18:26:32 2014 +0200

    Make wildchard characters configurable
    
    The options AUTO_WILDCARD, SINGLE_WILDCARD_CHAR, and
    MULTI_WILDCARD_CHAR are now not only configurable in the table sources
    but also in the setup tool and via dconf.
    
    The default for AUTO_WILDCARD if neither specified in the table source
    nor in the setup tool nor in dconf is TRUE, this is best for most
    tables.
    
    The defaults for SINGLE_WILDCARD_CHAR and MULTI_WILDCARD_CHAR
    are the empty strings, this means no wildcards are used.
    
    In some table sources default values for SINGLE_WILDCARD_CHAR and
    MULTI_WILDCARD_CHAR are defined, in most cases these are
    
    SINGLE_WILDCARD_CHAR = ?
    MULTI_WILDCARD_CHAR = *

commit 77a1a5a7a683e463538387684dcc37268aab37e5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Jun 23 15:24:47 2014 +0200

    Insert a special candidate for the wildcard character itself if only a wildcard character has been typed
    
    Resolves: rhbz#1110325 - Unable to input question marks in Wubi-jidian
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1110325
    
    The same problem has been also reported here:
    
        https://code.google.com/p/ibus/issues/detail?id=1720
    
    If only a wildcard character has been typed, insert a special
    candidate at the first position for the wildcard character itself. For
    example, if “?” is used as a wildcard character and this is the only
    character typed, add a candidate ('?', '?', 0, 1000000000) in
    halfwidth mode or a candidate ('?', '？', 0, 1000000000) in fullwidth
    mode.  This is needed to make it possible to input the wildcard
    characters themselves, if “?” acted only as a wildcard it would be
    impossible to input a fullwidth question mark.

commit 7cb27653cbabc05d393903c6721e0b1fecd7f19c
Author: Caius "kaio" Chance <caius.chance@gmail.com>
Date:   Mon Jun 9 13:12:00 2014 +1000

    Release v1.8.2.

commit a6f9c22dead6992d15b15cd356d86fbfd14ac629
Merge: b07c6ea e18f708
Author: Caius 'kaio' Chance <me@kaio.net>
Date:   Sat Jun 7 23:41:12 2014 +1000

    Merge pull request #40 from mike-fabian/better-sorting-in-the-mixed-chinese-modes
    
    Better sorting in the mixed chinese modes

commit e18f708fd9439e51ee115b578931f624852b53af
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jun 6 20:43:22 2014 +0200

    Better sorting of the lookup table in the mixed Chinese modes
    
    In the mixed Chinese modes 2 and 3 (simplified Chinese first and
    traditional Chinese first), the filtering for simplified and traditional
    was done as a last step filtering the candidate list already sorted
    using the sort keys:
    
        - exact match?
        - user frequency
        - system frequency
        - length of input sequence
        - alphabetical order of input sequence
        - Unicode code point of first character of matched phrase
    
    But this simplified and traditional filtering is basically just
    another sort key. Doing this after the main sorting of the candidate
    list is inefficient and does not give nice results either. It is
    better to do all of the sorting in one place.
    
    The sort key for the desired Chinese variant (traditional or simplified)
    should have higher priority than the system frequency but lower
    priority than the user frequency. If the user selects a certain variant
    often, it should be preferred in future.
    
    An example for the behaviour after this commit is applied:
    
    wubi-jidian86.txt contains the following matches for 語
    (as a single character):
    
        ygkg        語      204000000
    
    It contains the following matches for 语 (as a single character):
    
        ygk 语      234000000
        ygkg        语      234000000
    
    And the following matches for the input sequence “ygkg”:
    
        ygkg        語      204000000
        ygkg        语      234000000
        ygkg        𢌐      0
        ygkg        𣄟      0
        ygkg        𩐕      0
    
    After this commit, typing “ygkg” gives the following results in the
    lookup table (when all user frequencies are 0. For testing this
    can be achieved by removing the user database):
    
    Chinese mode 0, “simplified Chinese only”:
    ==========================================
    
    ygkg (1/4)
    1. 语 234000000 0
    2. 𢌐 0 0
    3. 𣄟 0 0
    4. 𩐕 0 0
    
    Chinese mode 1, “traditional Chinese only”:
    ===========================================
    
    ygkg (1/4)
    1. 語 204000000 0
    2. 𢌐 0 0
    3. 𣄟 0 0
    4. 𩐕 0 0
    
    Chinese mode 2, “simplified Chinese before traditional”:
    ========================================================
    
    ygkg (1/5)
    1. 语 234000000 0
    2. 𢌐 0 0
    3. 𣄟 0 0
    4. 𩐕 0 0
    5. 語 204000000 0
    
    Chinese mode 3, “traditional Chinese before simplified”:
    ========================================================
    
    ygkg (1/5)
    1. 語 204000000 0
    2. 𢌐 0 0
    3. 𣄟 0 0
    4. 𩐕 0 0
    5. 语 234000000 0
    
    Chinese mode 4, “All Chinese characters”:
    =========================================
    
    ygkg (1/5)
    1. 语 234000000 0
    2. 語 204000000 0
    3. 𢌐 0 0
    4. 𣄟 0 0
    5. 𩐕 0 0

commit b07c6ea38c6e60d82ffb96c0fd9c52103ab5b51b
Merge: 9d94221 9c6840b
Author: Caius 'kaio' Chance <me@kaio.net>
Date:   Sat Jun 7 01:48:08 2014 +1000

    Merge pull request #39 from mike-fabian/do-not-create-useless-indexes
    
    Do not create useless indexes

commit 9c6840ba52cd2320f4ceb03f7be99b9ae705b9fe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Jun 6 10:44:30 2014 +0200

    Do not create useless indexes
    
    Resolves: rhbz#1105465 - Please avoid to create sqlite table index in ibus-table
    See: https://bugzilla.redhat.com/show_bug.cgi?id=1105465
    
    Most of indexes which were created were not helpful at all because
    most queries are done using the SQL “LIKE” operator which does
    not benefit from indexes.
    
    And the SELECT statements which do not use “LIKE” are not doing anything
    where speed is critical. So we could not find a benefit in any
    of the existing indexes. Benchmarking showed no significant difference
    between having the indexes or not having them.
    
    I changed the functions create_indexes() and drop_indexes() to do
    nothing, if we ever find that some index is really useful, we can
    easily add it again.
    
    Not creating the indexes saves a lot of space:
    
    Sizes with indexes:
    
        $ du -h -c /usr/share/ibus-table/tables/*.db
        8.6M        /usr/share/ibus-table/tables/array30-big.db
        3.7M        /usr/share/ibus-table/tables/array30.db
        3.7M        /usr/share/ibus-table/tables/cangjie-big.db
        2.1M        /usr/share/ibus-table/tables/cangjie3.db
        4.7M        /usr/share/ibus-table/tables/cangjie5.db
        572K        /usr/share/ibus-table/tables/cantonese.db
        700K        /usr/share/ibus-table/tables/cantonhk.db
        5.0M        /usr/share/ibus-table/tables/cns11643.db
        64K /usr/share/ibus-table/tables/compose.db
        7.7M        /usr/share/ibus-table/tables/easy-big.db
        96K /usr/share/ibus-table/tables/emoji-table.db
        6.6M        /usr/share/ibus-table/tables/erbi-qs.db
        3.0M        /usr/share/ibus-table/tables/erbi.db
        40K /usr/share/ibus-table/tables/ipa-x-sampa.db
        640K        /usr/share/ibus-table/tables/jyutping.db
        60K /usr/share/ibus-table/tables/latex.db
        312K        /usr/share/ibus-table/tables/mathwriter-ibus.db
        812K        /usr/share/ibus-table/tables/quick-classic.db
        2.0M        /usr/share/ibus-table/tables/quick3.db
        4.4M        /usr/share/ibus-table/tables/quick5.db
        40K /usr/share/ibus-table/tables/rustrad.db
        5.0M        /usr/share/ibus-table/tables/scj6.db
        364K        /usr/share/ibus-table/tables/stroke5.db
        40K /usr/share/ibus-table/tables/thai.db
        40K /usr/share/ibus-table/tables/translit-ua.db
        40K /usr/share/ibus-table/tables/translit.db
        40K /usr/share/ibus-table/tables/viqr.db
        1000K       /usr/share/ibus-table/tables/wu.db
        11M /usr/share/ibus-table/tables/wubi-haifeng86.db
        12M /usr/share/ibus-table/tables/wubi-jidian86.db
        40K /usr/share/ibus-table/tables/yawerty.db
        4.2M        /usr/share/ibus-table/tables/yong.db
        87M 合計
    
    Sizes without indexes:
    
        $ du -h -c /usr/share/ibus-table/tables/*.db
        4.6M        /usr/share/ibus-table/tables/array30-big.db
        2.0M        /usr/share/ibus-table/tables/array30.db
        1.5M        /usr/share/ibus-table/tables/cangjie-big.db
        1020K       /usr/share/ibus-table/tables/cangjie3.db
        2.1M        /usr/share/ibus-table/tables/cangjie5.db
        236K        /usr/share/ibus-table/tables/cantonese.db
        292K        /usr/share/ibus-table/tables/cantonhk.db
        2.1M        /usr/share/ibus-table/tables/cns11643.db
        32K /usr/share/ibus-table/tables/compose.db
        3.2M        /usr/share/ibus-table/tables/easy-big.db
        48K /usr/share/ibus-table/tables/emoji-table.db
        3.2M        /usr/share/ibus-table/tables/erbi-qs.db
        1.3M        /usr/share/ibus-table/tables/erbi.db
        24K /usr/share/ibus-table/tables/ipa-x-sampa.db
        268K        /usr/share/ibus-table/tables/jyutping.db
        36K /usr/share/ibus-table/tables/latex.db
        152K        /usr/share/ibus-table/tables/mathwriter-ibus.db
        332K        /usr/share/ibus-table/tables/quick-classic.db
        980K        /usr/share/ibus-table/tables/quick3.db
        2.0M        /usr/share/ibus-table/tables/quick5.db
        24K /usr/share/ibus-table/tables/rustrad.db
        2.2M        /usr/share/ibus-table/tables/scj6.db
        156K        /usr/share/ibus-table/tables/stroke5.db
        24K /usr/share/ibus-table/tables/thai.db
        24K /usr/share/ibus-table/tables/translit-ua.db
        24K /usr/share/ibus-table/tables/translit.db
        24K /usr/share/ibus-table/tables/viqr.db
        424K        /usr/share/ibus-table/tables/wu.db
        4.8M        /usr/share/ibus-table/tables/wubi-haifeng86.db
        5.7M        /usr/share/ibus-table/tables/wubi-jidian86.db
        24K /usr/share/ibus-table/tables/yawerty.db
        1.8M        /usr/share/ibus-table/tables/yong.db
        40M 合計

commit 9d942218061379a17972eaf18987e886ba23291b
Author: Caius "kaio" Chance <caius.chance@gmail.com>
Date:   Wed Jun 4 22:28:24 2014 +1000

    Release 1.8.1

commit 21448804bd27a77e9385406b2064d762311624a1
Merge: 8ded23b c9f6a2b
Author: Caius 'kaio' Chance <me@kaio.net>
Date:   Wed Jun 4 22:19:34 2014 +1000

    Merge pull request #38 from mike-fabian/add-support-for-wildcards
    
    Add support for wildcards

commit c9f6a2bfe833da6f6a3d67546a89e0cefd886d83
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 4 12:45:19 2014 +0200

    Don’t show the prompt characters defined in the table in pinyin mode in the auxiliary text

commit 407d96f5e776f3543590fb2b459410892d64611b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Jun 4 12:29:55 2014 +0200

    Add wildcard support also to pinyin mode
    
    The wildcards used are the same as for table mode. I.e. if
    the table defines:
    
        MULTI_WILDCARD_CHAR = *
        SINGLE_WILDCARD_CHAR = ?
    
    the same wildcards are used for pinyin as well.
    
    The AUTO_WILDCARD in the table is ignored for pinyin mode though, it
    is always treated as AUTO_WILDCARD = TRUE for pinyin mode, FALSE
    does not make any sense for pinyin mode.

commit 42b68588fbf8a94892f4767f5a0180d987243d31
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Jun 3 16:43:04 2014 +0200

    Add support for wildcards
    
    The options
    
    AUTO_WILDCARD, MULTI_WILDCARD_CHAR, and SINGLE_WILDCARD_CHAR
    are now read from the table and used.
    
